/*------------------------------------------------------------------------------
* ML Install Script generated 2007-11-07 13:55:53 for Microsoft SQL Server (Consolidated)
*                            by MobiLink 10 plug-in
*-----------------------------------------------------------------------------*/

BEGIN TRANSACTION
GO
SET NOCOUNT ON
GO

/*------------------------------------------------------------------------------
*     Creating schema related to the table 'AdventureWorks.Person.Address'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Person.Address_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Address_del'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."Address_del"
END
GO
CREATE TABLE "Person"."Address_del" (
	"AddressID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("AddressID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Person.Address_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Address_mod'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."Address_mod"
END
GO
CREATE TABLE "Person"."Address_mod" (
	"AddressID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("AddressID")
)
GO

INSERT INTO "Person"."Address_mod" ( "AddressID" )
SELECT "Person"."Address"."AddressID"
FROM "Person"."Address_mod"
RIGHT OUTER JOIN "Person"."Address" ON
	"Person"."Address"."AddressID" = "Person"."Address_mod"."AddressID"
WHERE  "Person"."Address_mod"."AddressID" IS NULL

GO

/* Create the shadow timestamp trigger 'Address_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Address_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Address_ins"
END
GO
CREATE TRIGGER "Address_ins"
ON "Person"."Address" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Person"."Address_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Person"."Address_del"."AddressID" = inserted."AddressID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Person"."Address_mod" ( "AddressID", "last_modified" )
	SELECT inserted."AddressID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'Address_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Address_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Address_dlt"
END
GO
CREATE TRIGGER "Address_dlt"
ON "Person"."Address" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Person"."Address_del" ( "AddressID", "last_modified" )
	SELECT deleted."AddressID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Person"."Address_mod"
	FROM deleted
	WHERE  "Person"."Address_mod"."AddressID" = deleted."AddressID";

GO
/* Create the shadow timestamp trigger 'Address_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Address_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Address_upd"
END
GO
CREATE TRIGGER "Address_upd"
ON "Person"."Address" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Person"."Address_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Person"."Address_mod"."AddressID" = inserted."AddressID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Person.AddressType'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Person.AddressType_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'AddressType_del'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."AddressType_del"
END
GO
CREATE TABLE "Person"."AddressType_del" (
	"AddressTypeID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("AddressTypeID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Person.AddressType_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'AddressType_mod'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."AddressType_mod"
END
GO
CREATE TABLE "Person"."AddressType_mod" (
	"AddressTypeID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("AddressTypeID")
)
GO

INSERT INTO "Person"."AddressType_mod" ( "AddressTypeID" )
SELECT "Person"."AddressType"."AddressTypeID"
FROM "Person"."AddressType_mod"
RIGHT OUTER JOIN "Person"."AddressType" ON
	"Person"."AddressType"."AddressTypeID" = "Person"."AddressType_mod"."AddressTypeID"
WHERE  "Person"."AddressType_mod"."AddressTypeID" IS NULL

GO

/* Create the shadow timestamp trigger 'AddressType_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'AddressType_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."AddressType_ins"
END
GO
CREATE TRIGGER "AddressType_ins"
ON "Person"."AddressType" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Person"."AddressType_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Person"."AddressType_del"."AddressTypeID" = inserted."AddressTypeID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Person"."AddressType_mod" ( "AddressTypeID", "last_modified" )
	SELECT inserted."AddressTypeID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'AddressType_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'AddressType_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."AddressType_dlt"
END
GO
CREATE TRIGGER "AddressType_dlt"
ON "Person"."AddressType" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Person"."AddressType_del" ( "AddressTypeID", "last_modified" )
	SELECT deleted."AddressTypeID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Person"."AddressType_mod"
	FROM deleted
	WHERE  "Person"."AddressType_mod"."AddressTypeID" = deleted."AddressTypeID";

GO
/* Create the shadow timestamp trigger 'AddressType_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'AddressType_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."AddressType_upd"
END
GO
CREATE TRIGGER "AddressType_upd"
ON "Person"."AddressType" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Person"."AddressType_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Person"."AddressType_mod"."AddressTypeID" = inserted."AddressTypeID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*     Creating schema related to the table 'AdventureWorks.Person.Contact'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Person.Contact_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Contact_del'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."Contact_del"
END
GO
CREATE TABLE "Person"."Contact_del" (
	"ContactID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ContactID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Person.Contact_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Contact_mod'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."Contact_mod"
END
GO
CREATE TABLE "Person"."Contact_mod" (
	"ContactID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ContactID")
)
GO

INSERT INTO "Person"."Contact_mod" ( "ContactID" )
SELECT "Person"."Contact"."ContactID"
FROM "Person"."Contact_mod"
RIGHT OUTER JOIN "Person"."Contact" ON
	"Person"."Contact"."ContactID" = "Person"."Contact_mod"."ContactID"
WHERE  "Person"."Contact_mod"."ContactID" IS NULL

GO

/* Create the shadow timestamp trigger 'Contact_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Contact_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Contact_ins"
END
GO
CREATE TRIGGER "Contact_ins"
ON "Person"."Contact" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Person"."Contact_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Person"."Contact_del"."ContactID" = inserted."ContactID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Person"."Contact_mod" ( "ContactID", "last_modified" )
	SELECT inserted."ContactID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'Contact_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Contact_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Contact_dlt"
END
GO
CREATE TRIGGER "Contact_dlt"
ON "Person"."Contact" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Person"."Contact_del" ( "ContactID", "last_modified" )
	SELECT deleted."ContactID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Person"."Contact_mod"
	FROM deleted
	WHERE  "Person"."Contact_mod"."ContactID" = deleted."ContactID";

GO
/* Create the shadow timestamp trigger 'Contact_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Contact_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."Contact_upd"
END
GO
CREATE TRIGGER "Contact_upd"
ON "Person"."Contact" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Person"."Contact_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Person"."Contact_mod"."ContactID" = inserted."ContactID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Person.ContactType'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Person.ContactType_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'ContactType_del'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."ContactType_del"
END
GO
CREATE TABLE "Person"."ContactType_del" (
	"ContactTypeID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ContactTypeID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Person.ContactType_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'ContactType_mod'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."ContactType_mod"
END
GO
CREATE TABLE "Person"."ContactType_mod" (
	"ContactTypeID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ContactTypeID")
)
GO

INSERT INTO "Person"."ContactType_mod" ( "ContactTypeID" )
SELECT "Person"."ContactType"."ContactTypeID"
FROM "Person"."ContactType_mod"
RIGHT OUTER JOIN "Person"."ContactType" ON
	"Person"."ContactType"."ContactTypeID" = "Person"."ContactType_mod"."ContactTypeID"
WHERE  "Person"."ContactType_mod"."ContactTypeID" IS NULL

GO

/* Create the shadow timestamp trigger 'ContactType_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ContactType_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."ContactType_ins"
END
GO
CREATE TRIGGER "ContactType_ins"
ON "Person"."ContactType" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Person"."ContactType_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Person"."ContactType_del"."ContactTypeID" = inserted."ContactTypeID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Person"."ContactType_mod" ( "ContactTypeID", "last_modified" )
	SELECT inserted."ContactTypeID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'ContactType_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ContactType_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."ContactType_dlt"
END
GO
CREATE TRIGGER "ContactType_dlt"
ON "Person"."ContactType" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Person"."ContactType_del" ( "ContactTypeID", "last_modified" )
	SELECT deleted."ContactTypeID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Person"."ContactType_mod"
	FROM deleted
	WHERE  "Person"."ContactType_mod"."ContactTypeID" = deleted."ContactTypeID";

GO
/* Create the shadow timestamp trigger 'ContactType_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ContactType_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."ContactType_upd"
END
GO
CREATE TRIGGER "ContactType_upd"
ON "Person"."ContactType" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Person"."ContactType_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Person"."ContactType_mod"."ContactTypeID" = inserted."ContactTypeID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*     Creating schema related to the table 'AdventureWorks.Sales.Customer'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.Customer_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Customer_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."Customer_del"
END
GO
CREATE TABLE "Sales"."Customer_del" (
	"CustomerID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.Customer_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Customer_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."Customer_mod"
END
GO
CREATE TABLE "Sales"."Customer_mod" (
	"CustomerID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID")
)
GO

INSERT INTO "Sales"."Customer_mod" ( "CustomerID" )
SELECT "Sales"."Customer"."CustomerID"
FROM "Sales"."Customer_mod"
RIGHT OUTER JOIN "Sales"."Customer" ON
	"Sales"."Customer"."CustomerID" = "Sales"."Customer_mod"."CustomerID"
WHERE  "Sales"."Customer_mod"."CustomerID" IS NULL

GO

/* Create the shadow timestamp trigger 'Customer_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Customer_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Customer_ins"
END
GO
CREATE TRIGGER "Customer_ins"
ON "Sales"."Customer" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."Customer_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."Customer_del"."CustomerID" = inserted."CustomerID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."Customer_mod" ( "CustomerID", "last_modified" )
	SELECT inserted."CustomerID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'Customer_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Customer_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Customer_dlt"
END
GO
CREATE TRIGGER "Customer_dlt"
ON "Sales"."Customer" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."Customer_del" ( "CustomerID", "last_modified" )
	SELECT deleted."CustomerID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."Customer_mod"
	FROM deleted
	WHERE  "Sales"."Customer_mod"."CustomerID" = deleted."CustomerID";

GO
/* Create the shadow timestamp trigger 'Customer_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Customer_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Customer_upd"
END
GO
CREATE TRIGGER "Customer_upd"
ON "Sales"."Customer" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."Customer_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."Customer_mod"."CustomerID" = inserted."CustomerID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
* Creating schema related to the table 'AdventureWorks.Sales.CustomerAddress'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.CustomerAddress_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'CustomerAddress_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."CustomerAddress_del"
END
GO
CREATE TABLE "Sales"."CustomerAddress_del" (
	"CustomerID" int not null,
	"AddressID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID", "AddressID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.CustomerAddress_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'CustomerAddress_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."CustomerAddress_mod"
END
GO
CREATE TABLE "Sales"."CustomerAddress_mod" (
	"CustomerID" int not null,
	"AddressID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID", "AddressID")
)
GO

INSERT INTO "Sales"."CustomerAddress_mod" ( "CustomerID", "AddressID" )
SELECT "Sales"."CustomerAddress"."CustomerID",
	"Sales"."CustomerAddress"."AddressID"
FROM "Sales"."CustomerAddress_mod"
RIGHT OUTER JOIN "Sales"."CustomerAddress" ON
	"Sales"."CustomerAddress"."CustomerID" = "Sales"."CustomerAddress_mod"."CustomerID" AND
	"Sales"."CustomerAddress"."AddressID" = "Sales"."CustomerAddress_mod"."AddressID"
WHERE  "Sales"."CustomerAddress_mod"."CustomerID" IS NULL AND
	"Sales"."CustomerAddress_mod"."AddressID" IS NULL

GO

/* Create the shadow timestamp trigger 'CustomerAddress_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'CustomerAddress_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."CustomerAddress_ins"
END
GO
CREATE TRIGGER "CustomerAddress_ins"
ON "Sales"."CustomerAddress" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."CustomerAddress_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."CustomerAddress_del"."CustomerID" = inserted."CustomerID" AND
			"Sales"."CustomerAddress_del"."AddressID" = inserted."AddressID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."CustomerAddress_mod" ( "CustomerID", "AddressID", "last_modified" )
	SELECT inserted."CustomerID",
		inserted."AddressID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'CustomerAddress_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'CustomerAddress_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."CustomerAddress_dlt"
END
GO
CREATE TRIGGER "CustomerAddress_dlt"
ON "Sales"."CustomerAddress" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."CustomerAddress_del" ( "CustomerID", "AddressID", "last_modified" )
	SELECT deleted."CustomerID",
		deleted."AddressID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."CustomerAddress_mod"
	FROM deleted
	WHERE  "Sales"."CustomerAddress_mod"."CustomerID" = deleted."CustomerID" AND
		"Sales"."CustomerAddress_mod"."AddressID" = deleted."AddressID";

GO
/* Create the shadow timestamp trigger 'CustomerAddress_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'CustomerAddress_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."CustomerAddress_upd"
END
GO
CREATE TRIGGER "CustomerAddress_upd"
ON "Sales"."CustomerAddress" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."CustomerAddress_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."CustomerAddress_mod"."CustomerID" = inserted."CustomerID" AND
		"Sales"."CustomerAddress_mod"."AddressID" = inserted."AddressID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Production.Product'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Production.Product_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Product_del'
	AND table_schema = 'Production'
)
BEGIN
	DROP TABLE "Production"."Product_del"
END
GO
CREATE TABLE "Production"."Product_del" (
	"ProductID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ProductID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Production.Product_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Product_mod'
	AND table_schema = 'Production'
)
BEGIN
	DROP TABLE "Production"."Product_mod"
END
GO
CREATE TABLE "Production"."Product_mod" (
	"ProductID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ProductID")
)
GO

INSERT INTO "Production"."Product_mod" ( "ProductID" )
SELECT "Production"."Product"."ProductID"
FROM "Production"."Product_mod"
RIGHT OUTER JOIN "Production"."Product" ON
	"Production"."Product"."ProductID" = "Production"."Product_mod"."ProductID"
WHERE  "Production"."Product_mod"."ProductID" IS NULL

GO

/* Create the shadow timestamp trigger 'Product_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Product_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Production"."Product_ins"
END
GO
CREATE TRIGGER "Product_ins"
ON "Production"."Product" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Production"."Product_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Production"."Product_del"."ProductID" = inserted."ProductID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Production"."Product_mod" ( "ProductID", "last_modified" )
	SELECT inserted."ProductID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'Product_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Product_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Production"."Product_dlt"
END
GO
CREATE TRIGGER "Product_dlt"
ON "Production"."Product" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Production"."Product_del" ( "ProductID", "last_modified" )
	SELECT deleted."ProductID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Production"."Product_mod"
	FROM deleted
	WHERE  "Production"."Product_mod"."ProductID" = deleted."ProductID";

GO
/* Create the shadow timestamp trigger 'Product_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Product_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Production"."Product_upd"
END
GO
CREATE TRIGGER "Product_upd"
ON "Production"."Product" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Production"."Product_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Production"."Product_mod"."ProductID" = inserted."ProductID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
* Creating schema related to the table 'AdventureWorks.Sales.SalesOrderDetail'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.SalesOrderDetail_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesOrderDetail_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesOrderDetail_del"
END
GO
CREATE TABLE "Sales"."SalesOrderDetail_del" (
	"SalesOrderID" int not null,
	"SalesOrderDetailID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesOrderID", "SalesOrderDetailID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.SalesOrderDetail_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesOrderDetail_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesOrderDetail_mod"
END
GO
CREATE TABLE "Sales"."SalesOrderDetail_mod" (
	"SalesOrderID" int not null,
	"SalesOrderDetailID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesOrderID", "SalesOrderDetailID")
)
GO

INSERT INTO "Sales"."SalesOrderDetail_mod" ( "SalesOrderID", "SalesOrderDetailID" )
SELECT "Sales"."SalesOrderDetail"."SalesOrderID",
	"Sales"."SalesOrderDetail"."SalesOrderDetailID"
FROM "Sales"."SalesOrderDetail_mod"
RIGHT OUTER JOIN "Sales"."SalesOrderDetail" ON
	"Sales"."SalesOrderDetail"."SalesOrderID" = "Sales"."SalesOrderDetail_mod"."SalesOrderID" AND
	"Sales"."SalesOrderDetail"."SalesOrderDetailID" = "Sales"."SalesOrderDetail_mod"."SalesOrderDetailID"
WHERE  "Sales"."SalesOrderDetail_mod"."SalesOrderID" IS NULL AND
	"Sales"."SalesOrderDetail_mod"."SalesOrderDetailID" IS NULL

GO

/* Create the shadow timestamp trigger 'SalesOrderDetail_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderDetail_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderDetail_ins"
END
GO
CREATE TRIGGER "SalesOrderDetail_ins"
ON "Sales"."SalesOrderDetail" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."SalesOrderDetail_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."SalesOrderDetail_del"."SalesOrderID" = inserted."SalesOrderID" AND
			"Sales"."SalesOrderDetail_del"."SalesOrderDetailID" = inserted."SalesOrderDetailID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."SalesOrderDetail_mod" ( "SalesOrderID", "SalesOrderDetailID", "last_modified" )
	SELECT inserted."SalesOrderID",
		inserted."SalesOrderDetailID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'SalesOrderDetail_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderDetail_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderDetail_dlt"
END
GO
CREATE TRIGGER "SalesOrderDetail_dlt"
ON "Sales"."SalesOrderDetail" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."SalesOrderDetail_del" ( "SalesOrderID", "SalesOrderDetailID", "last_modified" )
	SELECT deleted."SalesOrderID",
		deleted."SalesOrderDetailID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."SalesOrderDetail_mod"
	FROM deleted
	WHERE  "Sales"."SalesOrderDetail_mod"."SalesOrderID" = deleted."SalesOrderID" AND
		"Sales"."SalesOrderDetail_mod"."SalesOrderDetailID" = deleted."SalesOrderDetailID";

GO
/* Create the shadow timestamp trigger 'SalesOrderDetail_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderDetail_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderDetail_upd"
END
GO
CREATE TRIGGER "SalesOrderDetail_upd"
ON "Sales"."SalesOrderDetail" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."SalesOrderDetail_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."SalesOrderDetail_mod"."SalesOrderID" = inserted."SalesOrderID" AND
		"Sales"."SalesOrderDetail_mod"."SalesOrderDetailID" = inserted."SalesOrderDetailID";

GO

/* Create an index for the 'download_cursor' script. */
IF NOT EXISTS(
	SELECT 1
	FROM sysindexkeys k, sysobjects t, syscolumns c, sysusers u
	WHERE c.colid = k.colid AND c.id = t.id AND k.id = t.id AND u.uid = t.uid AND
	t.name = 'SalesOrderDetail'
	AND u.name = 'Sales'
	AND (
		c.name = 'SalesOrderID' AND k.keyno < 2
	)
) AND NOT EXISTS (
	SELECT x.name FROM sysindexes x, sysobjects t, sysusers u
	WHERE x.id = t.id AND u.uid = t.uid AND t.name = 'SalesOrderDetail' AND x.name = 'SalesOrderDetail_ml' AND u.name = USER
)
BEGIN
	CREATE INDEX "SalesOrderDetail_ml" ON "Sales"."SalesOrderDetail"
	( "SalesOrderID" )
END
GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
* Creating schema related to the table 'AdventureWorks.Sales.SalesOrderHeader'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.SalesOrderHeader_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesOrderHeader_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesOrderHeader_del"
END
GO
CREATE TABLE "Sales"."SalesOrderHeader_del" (
	"SalesOrderID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesOrderID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.SalesOrderHeader_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesOrderHeader_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesOrderHeader_mod"
END
GO
CREATE TABLE "Sales"."SalesOrderHeader_mod" (
	"SalesOrderID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesOrderID")
)
GO

INSERT INTO "Sales"."SalesOrderHeader_mod" ( "SalesOrderID" )
SELECT "Sales"."SalesOrderHeader"."SalesOrderID"
FROM "Sales"."SalesOrderHeader_mod"
RIGHT OUTER JOIN "Sales"."SalesOrderHeader" ON
	"Sales"."SalesOrderHeader"."SalesOrderID" = "Sales"."SalesOrderHeader_mod"."SalesOrderID"
WHERE  "Sales"."SalesOrderHeader_mod"."SalesOrderID" IS NULL

GO

/* Create the shadow timestamp trigger 'SalesOrderHeader_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderHeader_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderHeader_ins"
END
GO
CREATE TRIGGER "SalesOrderHeader_ins"
ON "Sales"."SalesOrderHeader" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."SalesOrderHeader_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."SalesOrderHeader_del"."SalesOrderID" = inserted."SalesOrderID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."SalesOrderHeader_mod" ( "SalesOrderID", "last_modified" )
	SELECT inserted."SalesOrderID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'SalesOrderHeader_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderHeader_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderHeader_dlt"
END
GO
CREATE TRIGGER "SalesOrderHeader_dlt"
ON "Sales"."SalesOrderHeader" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."SalesOrderHeader_del" ( "SalesOrderID", "last_modified" )
	SELECT deleted."SalesOrderID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."SalesOrderHeader_mod"
	FROM deleted
	WHERE  "Sales"."SalesOrderHeader_mod"."SalesOrderID" = deleted."SalesOrderID";

GO
/* Create the shadow timestamp trigger 'SalesOrderHeader_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesOrderHeader_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesOrderHeader_upd"
END
GO
CREATE TRIGGER "SalesOrderHeader_upd"
ON "Sales"."SalesOrderHeader" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."SalesOrderHeader_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."SalesOrderHeader_mod"."SalesOrderID" = inserted."SalesOrderID";

GO

/* Create an index for the 'download_cursor' script. */
IF NOT EXISTS(
	SELECT 1
	FROM sysindexkeys k, sysobjects t, syscolumns c, sysusers u
	WHERE c.colid = k.colid AND c.id = t.id AND k.id = t.id AND u.uid = t.uid AND
	t.name = 'SalesOrderHeader'
	AND u.name = 'Sales'
	AND (
		c.name = 'SalesPersonID' AND k.keyno < 2
	)
) AND NOT EXISTS (
	SELECT x.name FROM sysindexes x, sysobjects t, sysusers u
	WHERE x.id = t.id AND u.uid = t.uid AND t.name = 'SalesOrderHeader' AND x.name = 'SalesOrderHeader_ml' AND u.name = USER
)
BEGIN
	CREATE INDEX "SalesOrderHeader_ml" ON "Sales"."SalesOrderHeader"
	( "SalesPersonID" )
END
GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Sales.SalesPerson'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.SalesPerson_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesPerson_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesPerson_del"
END
GO
CREATE TABLE "Sales"."SalesPerson_del" (
	"SalesPersonID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesPersonID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.SalesPerson_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SalesPerson_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SalesPerson_mod"
END
GO
CREATE TABLE "Sales"."SalesPerson_mod" (
	"SalesPersonID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SalesPersonID")
)
GO

INSERT INTO "Sales"."SalesPerson_mod" ( "SalesPersonID" )
SELECT "Sales"."SalesPerson"."SalesPersonID"
FROM "Sales"."SalesPerson_mod"
RIGHT OUTER JOIN "Sales"."SalesPerson" ON
	"Sales"."SalesPerson"."SalesPersonID" = "Sales"."SalesPerson_mod"."SalesPersonID"
WHERE  "Sales"."SalesPerson_mod"."SalesPersonID" IS NULL

GO

/* Create the shadow timestamp trigger 'SalesPerson_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesPerson_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesPerson_ins"
END
GO
CREATE TRIGGER "SalesPerson_ins"
ON "Sales"."SalesPerson" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."SalesPerson_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."SalesPerson_del"."SalesPersonID" = inserted."SalesPersonID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."SalesPerson_mod" ( "SalesPersonID", "last_modified" )
	SELECT inserted."SalesPersonID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'SalesPerson_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesPerson_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesPerson_dlt"
END
GO
CREATE TRIGGER "SalesPerson_dlt"
ON "Sales"."SalesPerson" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."SalesPerson_del" ( "SalesPersonID", "last_modified" )
	SELECT deleted."SalesPersonID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."SalesPerson_mod"
	FROM deleted
	WHERE  "Sales"."SalesPerson_mod"."SalesPersonID" = deleted."SalesPersonID";

GO
/* Create the shadow timestamp trigger 'SalesPerson_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SalesPerson_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SalesPerson_upd"
END
GO
CREATE TRIGGER "SalesPerson_upd"
ON "Sales"."SalesPerson" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."SalesPerson_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."SalesPerson_mod"."SalesPersonID" = inserted."SalesPersonID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
* Creating schema related to the table 'AdventureWorks.Purchasing.ShipMethod'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Purchasing.ShipMethod_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'ShipMethod_del'
	AND table_schema = 'Purchasing'
)
BEGIN
	DROP TABLE "Purchasing"."ShipMethod_del"
END
GO
CREATE TABLE "Purchasing"."ShipMethod_del" (
	"ShipMethodID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ShipMethodID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Purchasing.ShipMethod_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'ShipMethod_mod'
	AND table_schema = 'Purchasing'
)
BEGIN
	DROP TABLE "Purchasing"."ShipMethod_mod"
END
GO
CREATE TABLE "Purchasing"."ShipMethod_mod" (
	"ShipMethodID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("ShipMethodID")
)
GO

INSERT INTO "Purchasing"."ShipMethod_mod" ( "ShipMethodID" )
SELECT "Purchasing"."ShipMethod"."ShipMethodID"
FROM "Purchasing"."ShipMethod_mod"
RIGHT OUTER JOIN "Purchasing"."ShipMethod" ON
	"Purchasing"."ShipMethod"."ShipMethodID" = "Purchasing"."ShipMethod_mod"."ShipMethodID"
WHERE  "Purchasing"."ShipMethod_mod"."ShipMethodID" IS NULL

GO

/* Create the shadow timestamp trigger 'ShipMethod_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ShipMethod_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Purchasing"."ShipMethod_ins"
END
GO
CREATE TRIGGER "ShipMethod_ins"
ON "Purchasing"."ShipMethod" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Purchasing"."ShipMethod_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Purchasing"."ShipMethod_del"."ShipMethodID" = inserted."ShipMethodID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Purchasing"."ShipMethod_mod" ( "ShipMethodID", "last_modified" )
	SELECT inserted."ShipMethodID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'ShipMethod_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ShipMethod_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Purchasing"."ShipMethod_dlt"
END
GO
CREATE TRIGGER "ShipMethod_dlt"
ON "Purchasing"."ShipMethod" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Purchasing"."ShipMethod_del" ( "ShipMethodID", "last_modified" )
	SELECT deleted."ShipMethodID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Purchasing"."ShipMethod_mod"
	FROM deleted
	WHERE  "Purchasing"."ShipMethod_mod"."ShipMethodID" = deleted."ShipMethodID";

GO
/* Create the shadow timestamp trigger 'ShipMethod_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'ShipMethod_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Purchasing"."ShipMethod_upd"
END
GO
CREATE TRIGGER "ShipMethod_upd"
ON "Purchasing"."ShipMethod" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Purchasing"."ShipMethod_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Purchasing"."ShipMethod_mod"."ShipMethodID" = inserted."ShipMethodID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Sales.SpecialOffer'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.SpecialOffer_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SpecialOffer_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SpecialOffer_del"
END
GO
CREATE TABLE "Sales"."SpecialOffer_del" (
	"SpecialOfferID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SpecialOfferID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.SpecialOffer_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SpecialOffer_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SpecialOffer_mod"
END
GO
CREATE TABLE "Sales"."SpecialOffer_mod" (
	"SpecialOfferID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SpecialOfferID")
)
GO

INSERT INTO "Sales"."SpecialOffer_mod" ( "SpecialOfferID" )
SELECT "Sales"."SpecialOffer"."SpecialOfferID"
FROM "Sales"."SpecialOffer_mod"
RIGHT OUTER JOIN "Sales"."SpecialOffer" ON
	"Sales"."SpecialOffer"."SpecialOfferID" = "Sales"."SpecialOffer_mod"."SpecialOfferID"
WHERE  "Sales"."SpecialOffer_mod"."SpecialOfferID" IS NULL

GO

/* Create the shadow timestamp trigger 'SpecialOffer_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOffer_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOffer_ins"
END
GO
CREATE TRIGGER "SpecialOffer_ins"
ON "Sales"."SpecialOffer" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."SpecialOffer_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."SpecialOffer_del"."SpecialOfferID" = inserted."SpecialOfferID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."SpecialOffer_mod" ( "SpecialOfferID", "last_modified" )
	SELECT inserted."SpecialOfferID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'SpecialOffer_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOffer_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOffer_dlt"
END
GO
CREATE TRIGGER "SpecialOffer_dlt"
ON "Sales"."SpecialOffer" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."SpecialOffer_del" ( "SpecialOfferID", "last_modified" )
	SELECT deleted."SpecialOfferID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."SpecialOffer_mod"
	FROM deleted
	WHERE  "Sales"."SpecialOffer_mod"."SpecialOfferID" = deleted."SpecialOfferID";

GO
/* Create the shadow timestamp trigger 'SpecialOffer_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOffer_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOffer_upd"
END
GO
CREATE TRIGGER "SpecialOffer_upd"
ON "Sales"."SpecialOffer" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."SpecialOffer_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."SpecialOffer_mod"."SpecialOfferID" = inserted."SpecialOfferID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
* Creating schema related to the table 'AdventureWorks.Sales.SpecialOfferProduct'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.SpecialOfferProduct_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SpecialOfferProduct_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SpecialOfferProduct_del"
END
GO
CREATE TABLE "Sales"."SpecialOfferProduct_del" (
	"SpecialOfferID" int not null,
	"ProductID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SpecialOfferID", "ProductID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.SpecialOfferProduct_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'SpecialOfferProduct_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."SpecialOfferProduct_mod"
END
GO
CREATE TABLE "Sales"."SpecialOfferProduct_mod" (
	"SpecialOfferID" int not null,
	"ProductID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("SpecialOfferID", "ProductID")
)
GO

INSERT INTO "Sales"."SpecialOfferProduct_mod" ( "SpecialOfferID", "ProductID" )
SELECT "Sales"."SpecialOfferProduct"."SpecialOfferID",
	"Sales"."SpecialOfferProduct"."ProductID"
FROM "Sales"."SpecialOfferProduct_mod"
RIGHT OUTER JOIN "Sales"."SpecialOfferProduct" ON
	"Sales"."SpecialOfferProduct"."SpecialOfferID" = "Sales"."SpecialOfferProduct_mod"."SpecialOfferID" AND
	"Sales"."SpecialOfferProduct"."ProductID" = "Sales"."SpecialOfferProduct_mod"."ProductID"
WHERE  "Sales"."SpecialOfferProduct_mod"."SpecialOfferID" IS NULL AND
	"Sales"."SpecialOfferProduct_mod"."ProductID" IS NULL

GO

/* Create the shadow timestamp trigger 'SpecialOfferProduct_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOfferProduct_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOfferProduct_ins"
END
GO
CREATE TRIGGER "SpecialOfferProduct_ins"
ON "Sales"."SpecialOfferProduct" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."SpecialOfferProduct_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."SpecialOfferProduct_del"."SpecialOfferID" = inserted."SpecialOfferID" AND
			"Sales"."SpecialOfferProduct_del"."ProductID" = inserted."ProductID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."SpecialOfferProduct_mod" ( "SpecialOfferID", "ProductID", "last_modified" )
	SELECT inserted."SpecialOfferID",
		inserted."ProductID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'SpecialOfferProduct_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOfferProduct_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOfferProduct_dlt"
END
GO
CREATE TRIGGER "SpecialOfferProduct_dlt"
ON "Sales"."SpecialOfferProduct" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."SpecialOfferProduct_del" ( "SpecialOfferID", "ProductID", "last_modified" )
	SELECT deleted."SpecialOfferID",
		deleted."ProductID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."SpecialOfferProduct_mod"
	FROM deleted
	WHERE  "Sales"."SpecialOfferProduct_mod"."SpecialOfferID" = deleted."SpecialOfferID" AND
		"Sales"."SpecialOfferProduct_mod"."ProductID" = deleted."ProductID";

GO
/* Create the shadow timestamp trigger 'SpecialOfferProduct_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'SpecialOfferProduct_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."SpecialOfferProduct_upd"
END
GO
CREATE TRIGGER "SpecialOfferProduct_upd"
ON "Sales"."SpecialOfferProduct" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."SpecialOfferProduct_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."SpecialOfferProduct_mod"."SpecialOfferID" = inserted."SpecialOfferID" AND
		"Sales"."SpecialOfferProduct_mod"."ProductID" = inserted."ProductID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*  Creating schema related to the table 'AdventureWorks.Person.StateProvince'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Person.StateProvince_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'StateProvince_del'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."StateProvince_del"
END
GO
CREATE TABLE "Person"."StateProvince_del" (
	"StateProvinceID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("StateProvinceID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Person.StateProvince_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'StateProvince_mod'
	AND table_schema = 'Person'
)
BEGIN
	DROP TABLE "Person"."StateProvince_mod"
END
GO
CREATE TABLE "Person"."StateProvince_mod" (
	"StateProvinceID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("StateProvinceID")
)
GO

INSERT INTO "Person"."StateProvince_mod" ( "StateProvinceID" )
SELECT "Person"."StateProvince"."StateProvinceID"
FROM "Person"."StateProvince_mod"
RIGHT OUTER JOIN "Person"."StateProvince" ON
	"Person"."StateProvince"."StateProvinceID" = "Person"."StateProvince_mod"."StateProvinceID"
WHERE  "Person"."StateProvince_mod"."StateProvinceID" IS NULL

GO

/* Create the shadow timestamp trigger 'StateProvince_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StateProvince_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."StateProvince_ins"
END
GO
CREATE TRIGGER "StateProvince_ins"
ON "Person"."StateProvince" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Person"."StateProvince_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Person"."StateProvince_del"."StateProvinceID" = inserted."StateProvinceID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Person"."StateProvince_mod" ( "StateProvinceID", "last_modified" )
	SELECT inserted."StateProvinceID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'StateProvince_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StateProvince_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."StateProvince_dlt"
END
GO
CREATE TRIGGER "StateProvince_dlt"
ON "Person"."StateProvince" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Person"."StateProvince_del" ( "StateProvinceID", "last_modified" )
	SELECT deleted."StateProvinceID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Person"."StateProvince_mod"
	FROM deleted
	WHERE  "Person"."StateProvince_mod"."StateProvinceID" = deleted."StateProvinceID";

GO
/* Create the shadow timestamp trigger 'StateProvince_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StateProvince_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Person"."StateProvince_upd"
END
GO
CREATE TRIGGER "StateProvince_upd"
ON "Person"."StateProvince" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Person"."StateProvince_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Person"."StateProvince_mod"."StateProvinceID" = inserted."StateProvinceID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*      Creating schema related to the table 'AdventureWorks.Sales.Store'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.Store_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Store_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."Store_del"
END
GO
CREATE TABLE "Sales"."Store_del" (
	"CustomerID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.Store_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'Store_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."Store_mod"
END
GO
CREATE TABLE "Sales"."Store_mod" (
	"CustomerID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID")
)
GO

INSERT INTO "Sales"."Store_mod" ( "CustomerID" )
SELECT "Sales"."Store"."CustomerID"
FROM "Sales"."Store_mod"
RIGHT OUTER JOIN "Sales"."Store" ON
	"Sales"."Store"."CustomerID" = "Sales"."Store_mod"."CustomerID"
WHERE  "Sales"."Store_mod"."CustomerID" IS NULL

GO

/* Create the shadow timestamp trigger 'Store_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Store_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Store_ins"
END
GO
CREATE TRIGGER "Store_ins"
ON "Sales"."Store" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."Store_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."Store_del"."CustomerID" = inserted."CustomerID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."Store_mod" ( "CustomerID", "last_modified" )
	SELECT inserted."CustomerID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'Store_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Store_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Store_dlt"
END
GO
CREATE TRIGGER "Store_dlt"
ON "Sales"."Store" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."Store_del" ( "CustomerID", "last_modified" )
	SELECT deleted."CustomerID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."Store_mod"
	FROM deleted
	WHERE  "Sales"."Store_mod"."CustomerID" = deleted."CustomerID";

GO
/* Create the shadow timestamp trigger 'Store_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'Store_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."Store_upd"
END
GO
CREATE TRIGGER "Store_upd"
ON "Sales"."Store" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."Store_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."Store_mod"."CustomerID" = inserted."CustomerID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

/*------------------------------------------------------------------------------
*   Creating schema related to the table 'AdventureWorks.Sales.StoreContact'.
*-----------------------------------------------------------------------------*/

/* Create the shadow delete table 'AdventureWorks.Sales.StoreContact_del'. */
IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'StoreContact_del'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."StoreContact_del"
END
GO
CREATE TABLE "Sales"."StoreContact_del" (
	"CustomerID" int not null,
	"ContactID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID", "ContactID")
)
GO

/* Create the shadow timestamp table 'AdventureWorks.Sales.StoreContact_mod'. */

IF EXISTS (
	SELECT 1
	FROM INFORMATION_SCHEMA.TABLES
	WHERE TABLE_NAME = 'StoreContact_mod'
	AND table_schema = 'Sales'
)
BEGIN
	DROP TABLE "Sales"."StoreContact_mod"
END
GO
CREATE TABLE "Sales"."StoreContact_mod" (
	"CustomerID" int not null,
	"ContactID" int not null,
	"last_modified" DATETIME DEFAULT GETDATE(),
	PRIMARY KEY ("CustomerID", "ContactID")
)
GO

INSERT INTO "Sales"."StoreContact_mod" ( "CustomerID", "ContactID" )
SELECT "Sales"."StoreContact"."CustomerID",
	"Sales"."StoreContact"."ContactID"
FROM "Sales"."StoreContact_mod"
RIGHT OUTER JOIN "Sales"."StoreContact" ON
	"Sales"."StoreContact"."CustomerID" = "Sales"."StoreContact_mod"."CustomerID" AND
	"Sales"."StoreContact"."ContactID" = "Sales"."StoreContact_mod"."ContactID"
WHERE  "Sales"."StoreContact_mod"."CustomerID" IS NULL AND
	"Sales"."StoreContact_mod"."ContactID" IS NULL

GO

/* Create the shadow timestamp trigger 'StoreContact_ins'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StoreContact_ins' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."StoreContact_ins"
END
GO
CREATE TRIGGER "StoreContact_ins"
ON "Sales"."StoreContact" AFTER INSERT
AS
	/*
	* Delete the row from the shadow delete table.  (This trigger is only needed if deleted
	* primary keys can be re-inserted.)
	*/
	DELETE FROM "Sales"."StoreContact_del"
	WHERE EXISTS (
		SELECT 1
		FROM inserted
		WHERE "Sales"."StoreContact_del"."CustomerID" = inserted."CustomerID" AND
			"Sales"."StoreContact_del"."ContactID" = inserted."ContactID"
		);
	/* Insert the row into the shadow timestamp table. */
	INSERT INTO "Sales"."StoreContact_mod" ( "CustomerID", "ContactID", "last_modified" )
	SELECT inserted."CustomerID",
		inserted."ContactID",
		GETDATE()
	FROM inserted;

GO
/* Create the shadow timestamp trigger 'StoreContact_dlt'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StoreContact_dlt' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."StoreContact_dlt"
END
GO
CREATE TRIGGER "StoreContact_dlt"
ON "Sales"."StoreContact" AFTER DELETE
AS
	/* Insert the row into the shadow delete table. */
	INSERT INTO "Sales"."StoreContact_del" ( "CustomerID", "ContactID", "last_modified" )
	SELECT deleted."CustomerID",
		deleted."ContactID",
		GETDATE()
	FROM deleted;
	/* Delete the row from the shadow timestamp table. */
	DELETE FROM "Sales"."StoreContact_mod"
	FROM deleted
	WHERE  "Sales"."StoreContact_mod"."CustomerID" = deleted."CustomerID" AND
		"Sales"."StoreContact_mod"."ContactID" = deleted."ContactID";

GO
/* Create the shadow timestamp trigger 'StoreContact_upd'. */

IF EXISTS (
	SELECT 1
	FROM sysobjects
	WHERE name = 'StoreContact_upd' AND xtype = 'TR'
)
BEGIN
	DROP TRIGGER "Sales"."StoreContact_upd"
END
GO
CREATE TRIGGER "StoreContact_upd"
ON "Sales"."StoreContact" AFTER UPDATE
AS
	/* Update the row in the shadow timestamp table. */
	UPDATE "Sales"."StoreContact_mod"
	SET "last_modified" = GETDATE()
	FROM inserted
	WHERE  "Sales"."StoreContact_mod"."CustomerID" = inserted."CustomerID" AND
		"Sales"."StoreContact_mod"."ContactID" = inserted."ContactID";

GO

COMMIT
GO
BEGIN TRANSACTION
GO

EXEC ml_add_lang_conn_script_chk
	'demo',
	'begin_connection',
	'SQL',
'
SET NOCOUNT ON

',
	'5BDE3E6264B47145301A73630789471E'

GO

EXEC ml_add_lang_conn_script_chk
	'demo',
	'authenticate_user',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_conn_script_chk
	'demo',
	'end_publication',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'download_cursor',
	'SQL',
'
SELECT "Person"."Address"."AddressID",
	"Person"."Address"."AddressLine1",
	"Person"."Address"."AddressLine2",
	"Person"."Address"."City",
	"Person"."Address"."StateProvinceID",
	"Person"."Address"."PostalCode",
	"Person"."Address"."rowguid",
	"Person"."Address"."ModifiedDate"
FROM "Person"."Address"
INNER JOIN "Person"."Address_mod" ON "Person"."Address"."AddressID" = "Person"."Address_mod"."AddressID"
WHERE "Person"."Address_mod"."last_modified" >= {ml s.last_table_download}

',
	'0BC2645949F1283ADAD28C8755173698'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'download_delete_cursor',
	'SQL',
'
SELECT "Person"."Address_del"."AddressID"
FROM "Person"."Address_del"
WHERE "Person"."Address_del"."last_modified" >= {ml s.last_table_download}

',
	'D90E1D68A5EE0B66598FB0B98BFC9BFE'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Address',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'download_cursor',
	'SQL',
'
SELECT "Person"."AddressType"."AddressTypeID",
	"Person"."AddressType"."Name",
	"Person"."AddressType"."rowguid",
	"Person"."AddressType"."ModifiedDate"
FROM "Person"."AddressType"
INNER JOIN "Person"."AddressType_mod" ON "Person"."AddressType"."AddressTypeID" = "Person"."AddressType_mod"."AddressTypeID"
WHERE "Person"."AddressType_mod"."last_modified" >= {ml s.last_table_download}

',
	'ED9DC7ADFBF0DD6A249A96BC6CE8B4F9'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'download_delete_cursor',
	'SQL',
'
SELECT "Person"."AddressType_del"."AddressTypeID"
FROM "Person"."AddressType_del"
WHERE "Person"."AddressType_del"."last_modified" >= {ml s.last_table_download}

',
	'FFB934AD3EC2EE7F7B59F582E860EF08'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'AddressType',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'download_cursor',
	'SQL',
'
SELECT "Person"."Contact"."ContactID",
	"Person"."Contact"."NameStyle",
	"Person"."Contact"."Title",
	"Person"."Contact"."FirstName",
	"Person"."Contact"."MiddleName",
	"Person"."Contact"."LastName",
	"Person"."Contact"."Suffix",
	"Person"."Contact"."EmailAddress",
	"Person"."Contact"."EmailPromotion",
	"Person"."Contact"."Phone",
	"Person"."Contact"."PasswordHash",
	"Person"."Contact"."PasswordSalt",
	"Person"."Contact"."AdditionalContactInfo",
	"Person"."Contact"."rowguid",
	"Person"."Contact"."ModifiedDate"
FROM "Person"."Contact"
INNER JOIN "Person"."Contact_mod" ON "Person"."Contact"."ContactID" = "Person"."Contact_mod"."ContactID"
WHERE "Person"."Contact_mod"."last_modified" >= {ml s.last_table_download}

',
	'A8348C5A8D2F170C0D659638F9851212'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'download_delete_cursor',
	'SQL',
'
SELECT "Person"."Contact_del"."ContactID"
FROM "Person"."Contact_del"
WHERE "Person"."Contact_del"."last_modified" >= {ml s.last_table_download}

',
	'0B89CB19D41CA9F3BF6FF63DA3F33118'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Contact',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'download_cursor',
	'SQL',
'
SELECT "Person"."ContactType"."ContactTypeID",
	"Person"."ContactType"."Name",
	"Person"."ContactType"."ModifiedDate"
FROM "Person"."ContactType"
INNER JOIN "Person"."ContactType_mod" ON "Person"."ContactType"."ContactTypeID" = "Person"."ContactType_mod"."ContactTypeID"
WHERE "Person"."ContactType_mod"."last_modified" >= {ml s.last_table_download}

',
	'C33854D0364934A5C991D2B5B00821AD'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'download_delete_cursor',
	'SQL',
'
SELECT "Person"."ContactType_del"."ContactTypeID"
FROM "Person"."ContactType_del"
WHERE "Person"."ContactType_del"."last_modified" >= {ml s.last_table_download}

',
	'F3098DC662CB315B42902A96B6F137D7'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ContactType',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."Customer"."CustomerID",
	"Sales"."Customer"."TerritoryID",
	"Sales"."Customer"."AccountNumber",
	"Sales"."Customer"."CustomerType",
	"Sales"."Customer"."rowguid",
	"Sales"."Customer"."ModifiedDate"
FROM "Sales"."Customer"
INNER JOIN "Sales"."Customer_mod" ON "Sales"."Customer"."CustomerID" = "Sales"."Customer_mod"."CustomerID"
WHERE "Sales"."Customer_mod"."last_modified" >= {ml s.last_table_download}

',
	'8A126C763BDD6D12AA64DB570A57DB37'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."Customer_del"."CustomerID"
FROM "Sales"."Customer_del"
WHERE "Sales"."Customer_del"."last_modified" >= {ml s.last_table_download}

',
	'BCD591C9A046758DF7D091352B76C787'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Customer',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."CustomerAddress"."CustomerID",
	"Sales"."CustomerAddress"."AddressID",
	"Sales"."CustomerAddress"."AddressTypeID",
	"Sales"."CustomerAddress"."rowguid",
	"Sales"."CustomerAddress"."ModifiedDate"
FROM "Sales"."CustomerAddress"
INNER JOIN "Sales"."CustomerAddress_mod" ON "Sales"."CustomerAddress"."CustomerID" = "Sales"."CustomerAddress_mod"."CustomerID" AND "Sales"."CustomerAddress"."AddressID" = "Sales"."CustomerAddress_mod"."AddressID"
WHERE "Sales"."CustomerAddress_mod"."last_modified" >= {ml s.last_table_download}

',
	'2F80817557C00FF56EAF86E1B6130475'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."CustomerAddress_del"."CustomerID",
	"Sales"."CustomerAddress_del"."AddressID"
FROM "Sales"."CustomerAddress_del"
WHERE "Sales"."CustomerAddress_del"."last_modified" >= {ml s.last_table_download}

',
	'4A189C38799BA7F2DAF9EAE26A4BAED5'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'CustomerAddress',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'download_cursor',
	'SQL',
'
SELECT "Production"."Product"."ProductID",
	"Production"."Product"."Name",
	"Production"."Product"."ProductNumber",
	"Production"."Product"."MakeFlag",
	"Production"."Product"."FinishedGoodsFlag",
	"Production"."Product"."Color",
	"Production"."Product"."SafetyStockLevel",
	"Production"."Product"."ReorderPoint",
	"Production"."Product"."StandardCost",
	"Production"."Product"."ListPrice",
	"Production"."Product"."Size",
	"Production"."Product"."SizeUnitMeasureCode",
	"Production"."Product"."WeightUnitMeasureCode",
	"Production"."Product"."Weight",
	"Production"."Product"."DaysToManufacture",
	"Production"."Product"."ProductLine",
	"Production"."Product"."Class",
	"Production"."Product"."Style",
	"Production"."Product"."ProductSubcategoryID",
	"Production"."Product"."ProductModelID",
	"Production"."Product"."SellStartDate",
	"Production"."Product"."SellEndDate",
	"Production"."Product"."DiscontinuedDate",
	"Production"."Product"."rowguid",
	"Production"."Product"."ModifiedDate"
FROM "Production"."Product"
INNER JOIN "Production"."Product_mod" ON "Production"."Product"."ProductID" = "Production"."Product_mod"."ProductID", "Sales"."SpecialOfferProduct"
WHERE "Production"."Product_mod"."last_modified" >= {ml s.last_table_download}
	AND "Production"."Product"."ProductID" = "Sales"."SpecialOfferProduct"."ProductID"

',
	'C4B51ADB202A3EB13A0DD2D9EB9099F0'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'download_delete_cursor',
	'SQL',
'
SELECT "Production"."Product_del"."ProductID"
FROM "Production"."Product_del"
WHERE "Production"."Product_del"."last_modified" >= {ml s.last_table_download}

',
	'39844BE0A13D010C569C2CACA8BE2502'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Product',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."SalesOrderDetail"."SalesOrderID",
	"Sales"."SalesOrderDetail"."SalesOrderDetailID",
	"Sales"."SalesOrderDetail"."CarrierTrackingNumber",
	"Sales"."SalesOrderDetail"."OrderQty",
	"Sales"."SalesOrderDetail"."ProductID",
	"Sales"."SalesOrderDetail"."SpecialOfferID",
	"Sales"."SalesOrderDetail"."UnitPrice",
	"Sales"."SalesOrderDetail"."UnitPriceDiscount",
	"Sales"."SalesOrderDetail"."rowguid",
	"Sales"."SalesOrderDetail"."ModifiedDate"
FROM "Sales"."SalesOrderDetail"
INNER JOIN "Sales"."SalesOrderDetail_mod" ON "Sales"."SalesOrderDetail"."SalesOrderID" = "Sales"."SalesOrderDetail_mod"."SalesOrderID" AND "Sales"."SalesOrderDetail"."SalesOrderDetailID" = "Sales"."SalesOrderDetail_mod"."SalesOrderDetailID", "Sales"."SalesOrderHeader"
WHERE "Sales"."SalesOrderDetail_mod"."last_modified" >= {ml s.last_table_download}
	AND "Sales"."SalesOrderDetail"."SalesOrderID" = "Sales"."SalesOrderHeader"."SalesOrderID"
	AND "Sales"."SalesOrderHeader"."SalesPersonID" = {ml s.remote_id}

',
	'57474972280418B1C608FE432BAD455D'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_insert',
	'SQL',
'
/* Insert the row into the consolidated database. */
BEGIN

DECLARE @originalid AS INT;

SET @originalid = IDENT_CURRENT(''Sales.SalesOrderDetail'');
SET IDENTITY_INSERT "Sales"."SalesOrderDetail" ON;

INSERT INTO "Sales"."SalesOrderDetail" ( "SalesOrderID", "SalesOrderDetailID", "CarrierTrackingNumber", "OrderQty", "ProductID", "SpecialOfferID", "UnitPrice", "UnitPriceDiscount", "rowguid", "ModifiedDate" )
VALUES ( {ml r."SalesOrderID"}, {ml r."SalesOrderDetailID"}, {ml r."CarrierTrackingNumber"}, {ml r."OrderQty"}, {ml r."ProductID"}, {ml r."SpecialOfferID"}, {ml r."UnitPrice"}, {ml r."UnitPriceDiscount"}, {ml r."rowguid"}, {ml r."ModifiedDate"} )

SET IDENTITY_INSERT "Sales"."SalesOrderDetail" OFF;
DBCC CHECKIDENT (''Sales.SalesOrderDetail'', RESEED, @originalid)

END

',
	'DA8919ABC725FE9CBA2F587F8DD0427E'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_delete',
	'SQL',
'
/* Delete the row from the consolidated database. */
DELETE FROM "Sales"."SalesOrderDetail"
WHERE "SalesOrderID" = {ml r."SalesOrderID"}
	AND "SalesOrderDetailID" = {ml r."SalesOrderDetailID"}

',
	'3E770E88C64FD734E593903E28617ECA'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_update',
	'SQL',
'
/* Update the row in the consolidated database. */
UPDATE "Sales"."SalesOrderDetail"
SET "CarrierTrackingNumber" = {ml r."CarrierTrackingNumber"},
	"OrderQty" = {ml r."OrderQty"},
	"ProductID" = {ml r."ProductID"},
	"SpecialOfferID" = {ml r."SpecialOfferID"},
	"UnitPrice" = {ml r."UnitPrice"},
	"UnitPriceDiscount" = {ml r."UnitPriceDiscount"},
	"rowguid" = {ml r."rowguid"},
	"ModifiedDate" = {ml r."ModifiedDate"}
WHERE "SalesOrderID" = {ml r."SalesOrderID"}
	AND "SalesOrderDetailID" = {ml r."SalesOrderDetailID"}

',
	'28FCAE1EA05FA7E021214A208F02F889'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."SalesOrderDetail_del"."SalesOrderID",
	"Sales"."SalesOrderDetail_del"."SalesOrderDetailID"
FROM "Sales"."SalesOrderDetail_del"
WHERE "Sales"."SalesOrderDetail_del"."last_modified" >= {ml s.last_table_download}

',
	'87DCCCE5DD6F404D934AF45313C17AB6'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderDetail',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."SalesOrderHeader"."SalesOrderID",
	"Sales"."SalesOrderHeader"."RevisionNumber",
	"Sales"."SalesOrderHeader"."OrderDate",
	"Sales"."SalesOrderHeader"."DueDate",
	"Sales"."SalesOrderHeader"."ShipDate",
	"Sales"."SalesOrderHeader"."Status",
	"Sales"."SalesOrderHeader"."OnlineOrderFlag",
	"Sales"."SalesOrderHeader"."PurchaseOrderNumber",
	"Sales"."SalesOrderHeader"."AccountNumber",
	"Sales"."SalesOrderHeader"."CustomerID",
	"Sales"."SalesOrderHeader"."ContactID",
	"Sales"."SalesOrderHeader"."TerritoryID",
	"Sales"."SalesOrderHeader"."BillToAddressID",
	"Sales"."SalesOrderHeader"."ShipToAddressID",
	"Sales"."SalesOrderHeader"."ShipMethodID",
	"Sales"."SalesOrderHeader"."CreditCardID",
	"Sales"."SalesOrderHeader"."CreditCardApprovalCode",
	"Sales"."SalesOrderHeader"."CurrencyRateID",
	"Sales"."SalesOrderHeader"."SubTotal",
	"Sales"."SalesOrderHeader"."TaxAmt",
	"Sales"."SalesOrderHeader"."Freight",
	"Sales"."SalesOrderHeader"."Comment",
	"Sales"."SalesOrderHeader"."rowguid",
	"Sales"."SalesOrderHeader"."ModifiedDate"
FROM "Sales"."SalesOrderHeader"
INNER JOIN "Sales"."SalesOrderHeader_mod" ON "Sales"."SalesOrderHeader"."SalesOrderID" = "Sales"."SalesOrderHeader_mod"."SalesOrderID"
WHERE "Sales"."SalesOrderHeader_mod"."last_modified" >= {ml s.last_table_download}
	AND "Sales"."SalesOrderHeader"."SalesPersonID" = {ml s.remote_id}

',
	'75BBA99590835AC95031FB12BA16AD85'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_insert',
	'SQL',
'
/* Insert the row into the consolidated database. */
BEGIN

DECLARE @originalid AS INT;

SET @originalid = IDENT_CURRENT(''Sales.SalesOrderHeader'');
SET IDENTITY_INSERT "Sales"."SalesOrderHeader" ON;

INSERT INTO "Sales"."SalesOrderHeader" ( "SalesOrderID", "RevisionNumber", "OrderDate", "DueDate", "ShipDate", "Status", "OnlineOrderFlag", "PurchaseOrderNumber", "AccountNumber", "CustomerID", "ContactID", "SalesPersonID", "TerritoryID", "BillToAddressID", "ShipToAddressID", "ShipMethodID", "CreditCardID", "CreditCardApprovalCode", "CurrencyRateID", "SubTotal", "TaxAmt", "Freight", "Comment", "rowguid", "ModifiedDate" )
VALUES ( {ml r."SalesOrderID"}, {ml r."RevisionNumber"}, {ml r."OrderDate"}, {ml r."DueDate"}, {ml r."ShipDate"}, {ml r."Status"}, {ml r."OnlineOrderFlag"}, {ml r."PurchaseOrderNumber"}, {ml r."AccountNumber"}, {ml r."CustomerID"}, {ml r."ContactID"}, {ml s.remote_id}, {ml r."TerritoryID"}, {ml r."BillToAddressID"}, {ml r."ShipToAddressID"}, {ml r."ShipMethodID"}, {ml r."CreditCardID"}, {ml r."CreditCardApprovalCode"}, {ml r."CurrencyRateID"}, {ml r."SubTotal"}, {ml r."TaxAmt"}, {ml r."Freight"}, {ml r."Comment"}, {ml r."rowguid"}, {ml r."ModifiedDate"} )

SET IDENTITY_INSERT "Sales"."SalesOrderHeader" OFF;
DBCC CHECKIDENT (''Sales.SalesOrderHeader'', RESEED, @originalid)

END

',
	'A2B8339651C85ADCAF65ECFB51594843'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_delete',
	'SQL',
'
/* Delete the row from the consolidated database. */
DELETE FROM "Sales"."SalesOrderHeader"
WHERE "SalesOrderID" = {ml r."SalesOrderID"}

',
	'68B254A691838B426C240D47B5A66E10'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_update',
	'SQL',
'
/* Update the row in the consolidated database. */
UPDATE "Sales"."SalesOrderHeader"
SET "RevisionNumber" = {ml r."RevisionNumber"},
	"OrderDate" = {ml r."OrderDate"},
	"DueDate" = {ml r."DueDate"},
	"ShipDate" = {ml r."ShipDate"},
	"Status" = {ml r."Status"},
	"OnlineOrderFlag" = {ml r."OnlineOrderFlag"},
	"PurchaseOrderNumber" = {ml r."PurchaseOrderNumber"},
	"AccountNumber" = {ml r."AccountNumber"},
	"CustomerID" = {ml r."CustomerID"},
	"ContactID" = {ml r."ContactID"},
	"TerritoryID" = {ml r."TerritoryID"},
	"BillToAddressID" = {ml r."BillToAddressID"},
	"ShipToAddressID" = {ml r."ShipToAddressID"},
	"ShipMethodID" = {ml r."ShipMethodID"},
	"CreditCardID" = {ml r."CreditCardID"},
	"CreditCardApprovalCode" = {ml r."CreditCardApprovalCode"},
	"CurrencyRateID" = {ml r."CurrencyRateID"},
	"SubTotal" = {ml r."SubTotal"},
	"TaxAmt" = {ml r."TaxAmt"},
	"Freight" = {ml r."Freight"},
	"Comment" = {ml r."Comment"},
	"rowguid" = {ml r."rowguid"},
	"ModifiedDate" = {ml r."ModifiedDate"}
WHERE "SalesOrderID" = {ml r."SalesOrderID"}

',
	'FB032691E832DD15316B9EF0EF065961'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."SalesOrderHeader_del"."SalesOrderID"
FROM "Sales"."SalesOrderHeader_del"
WHERE "Sales"."SalesOrderHeader_del"."last_modified" >= {ml s.last_table_download}

',
	'503C44E8DA921C87566307FCCF16CB46'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesOrderHeader',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."SalesPerson"."SalesPersonID",
	"Sales"."SalesPerson"."TerritoryID",
	"Sales"."SalesPerson"."SalesQuota",
	"Sales"."SalesPerson"."Bonus",
	"Sales"."SalesPerson"."CommissionPct",
	"Sales"."SalesPerson"."SalesYTD",
	"Sales"."SalesPerson"."SalesLastYear",
	"Sales"."SalesPerson"."rowguid",
	"Sales"."SalesPerson"."ModifiedDate"
FROM "Sales"."SalesPerson"
INNER JOIN "Sales"."SalesPerson_mod" ON "Sales"."SalesPerson"."SalesPersonID" = "Sales"."SalesPerson_mod"."SalesPersonID"
WHERE "Sales"."SalesPerson_mod"."last_modified" >= {ml s.last_table_download}
	AND "Sales"."SalesPerson"."SalesPersonID" = {ml s.remote_id}

',
	'A3FBDE92DBEAE7A354010A108A2D47A3'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."SalesPerson_del"."SalesPersonID"
FROM "Sales"."SalesPerson_del"
WHERE "Sales"."SalesPerson_del"."last_modified" >= {ml s.last_table_download}

',
	'26E2C89CEFB1B6A10C1D10B88BB7D8B1'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SalesPerson',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'download_cursor',
	'SQL',
'
SELECT "Purchasing"."ShipMethod"."ShipMethodID",
	"Purchasing"."ShipMethod"."Name",
	"Purchasing"."ShipMethod"."ShipBase",
	"Purchasing"."ShipMethod"."ShipRate",
	"Purchasing"."ShipMethod"."rowguid",
	"Purchasing"."ShipMethod"."ModifiedDate"
FROM "Purchasing"."ShipMethod"
INNER JOIN "Purchasing"."ShipMethod_mod" ON "Purchasing"."ShipMethod"."ShipMethodID" = "Purchasing"."ShipMethod_mod"."ShipMethodID"
WHERE "Purchasing"."ShipMethod_mod"."last_modified" >= {ml s.last_table_download}

',
	'AFC014D810BE022E73EEEE1D8B59E95D'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'download_delete_cursor',
	'SQL',
'
SELECT "Purchasing"."ShipMethod_del"."ShipMethodID"
FROM "Purchasing"."ShipMethod_del"
WHERE "Purchasing"."ShipMethod_del"."last_modified" >= {ml s.last_table_download}

',
	'24DB1499F84A036B4F4C91C1ECEB3DED'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'ShipMethod',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."SpecialOffer"."SpecialOfferID",
	"Sales"."SpecialOffer"."Description",
	"Sales"."SpecialOffer"."DiscountPct",
	"Sales"."SpecialOffer"."Type",
	"Sales"."SpecialOffer"."Category",
	"Sales"."SpecialOffer"."StartDate",
	"Sales"."SpecialOffer"."EndDate",
	"Sales"."SpecialOffer"."MinQty",
	"Sales"."SpecialOffer"."MaxQty",
	"Sales"."SpecialOffer"."rowguid",
	"Sales"."SpecialOffer"."ModifiedDate"
FROM "Sales"."SpecialOffer"
INNER JOIN "Sales"."SpecialOffer_mod" ON "Sales"."SpecialOffer"."SpecialOfferID" = "Sales"."SpecialOffer_mod"."SpecialOfferID"
WHERE "Sales"."SpecialOffer_mod"."last_modified" >= {ml s.last_table_download}

',
	'79F039A181A5D8393FBB8C538A3B8304'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."SpecialOffer_del"."SpecialOfferID"
FROM "Sales"."SpecialOffer_del"
WHERE "Sales"."SpecialOffer_del"."last_modified" >= {ml s.last_table_download}

',
	'D02311F275756A13DB64191F70444590'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOffer',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."SpecialOfferProduct"."SpecialOfferID",
	"Sales"."SpecialOfferProduct"."ProductID",
	"Sales"."SpecialOfferProduct"."rowguid",
	"Sales"."SpecialOfferProduct"."ModifiedDate"
FROM "Sales"."SpecialOfferProduct"
INNER JOIN "Sales"."SpecialOfferProduct_mod" ON "Sales"."SpecialOfferProduct"."SpecialOfferID" = "Sales"."SpecialOfferProduct_mod"."SpecialOfferID" AND "Sales"."SpecialOfferProduct"."ProductID" = "Sales"."SpecialOfferProduct_mod"."ProductID"
WHERE "Sales"."SpecialOfferProduct_mod"."last_modified" >= {ml s.last_table_download}

',
	'99A796076214E2461351AD942A8CB90F'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."SpecialOfferProduct_del"."SpecialOfferID",
	"Sales"."SpecialOfferProduct_del"."ProductID"
FROM "Sales"."SpecialOfferProduct_del"
WHERE "Sales"."SpecialOfferProduct_del"."last_modified" >= {ml s.last_table_download}

',
	'FE385F251EF8F99F163BAAA4DDBE73E7'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'SpecialOfferProduct',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'download_cursor',
	'SQL',
'
SELECT "Person"."StateProvince"."StateProvinceID",
	"Person"."StateProvince"."StateProvinceCode",
	"Person"."StateProvince"."CountryRegionCode",
	"Person"."StateProvince"."IsOnlyStateProvinceFlag",
	"Person"."StateProvince"."Name",
	"Person"."StateProvince"."TerritoryID",
	"Person"."StateProvince"."rowguid",
	"Person"."StateProvince"."ModifiedDate"
FROM "Person"."StateProvince"
INNER JOIN "Person"."StateProvince_mod" ON "Person"."StateProvince"."StateProvinceID" = "Person"."StateProvince_mod"."StateProvinceID"
WHERE "Person"."StateProvince_mod"."last_modified" >= {ml s.last_table_download}

',
	'1AAEE9C3A9EF224C43F346DF248C7937'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'download_delete_cursor',
	'SQL',
'
SELECT "Person"."StateProvince_del"."StateProvinceID"
FROM "Person"."StateProvince_del"
WHERE "Person"."StateProvince_del"."last_modified" >= {ml s.last_table_download}

',
	'312F5E8153E9ECCF8BD465D34307410D'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StateProvince',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."Store"."CustomerID",
	"Sales"."Store"."Name",
	"Sales"."Store"."SalesPersonID",
	"Sales"."Store"."Demographics",
	"Sales"."Store"."rowguid",
	"Sales"."Store"."ModifiedDate"
FROM "Sales"."Store"
INNER JOIN "Sales"."Store_mod" ON "Sales"."Store"."CustomerID" = "Sales"."Store_mod"."CustomerID"
WHERE "Sales"."Store_mod"."last_modified" >= {ml s.last_table_download}

',
	'6BBCFEC443DBF95E0799CC3BCEAA23FA'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."Store_del"."CustomerID"
FROM "Sales"."Store_del"
WHERE "Sales"."Store_del"."last_modified" >= {ml s.last_table_download}

',
	'1710D61D473AAE38E027755939D2F8AF'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'Store',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'download_cursor',
	'SQL',
'
SELECT "Sales"."StoreContact"."CustomerID",
	"Sales"."StoreContact"."ContactID",
	"Sales"."StoreContact"."ContactTypeID",
	"Sales"."StoreContact"."rowguid",
	"Sales"."StoreContact"."ModifiedDate"
FROM "Sales"."StoreContact"
INNER JOIN "Sales"."StoreContact_mod" ON "Sales"."StoreContact"."CustomerID" = "Sales"."StoreContact_mod"."CustomerID" AND "Sales"."StoreContact"."ContactID" = "Sales"."StoreContact_mod"."ContactID"
WHERE "Sales"."StoreContact_mod"."last_modified" >= {ml s.last_table_download}

',
	'2CB0930F2C5242D197DB1C0CA32D39C0'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_delete',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_update',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_fetch_column_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_old_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'download_delete_cursor',
	'SQL',
'
SELECT "Sales"."StoreContact_del"."CustomerID",
	"Sales"."StoreContact_del"."ContactID"
FROM "Sales"."StoreContact_del"
WHERE "Sales"."StoreContact_del"."last_modified" >= {ml s.last_table_download}

',
	'EFF88FDA2554C58A04959E99D3041149'

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_fetch',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'upload_new_row_insert',
	'sql',
	null,
	null

GO

EXEC ml_add_lang_table_script_chk
	'demo',
	'StoreContact',
	'resolve_conflict',
	'sql',
	null,
	null

GO

EXEC ml_add_column
	'demo',
	'Address',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'Address',
	'AddressID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'AddressLine1',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'AddressLine2',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'City',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'StateProvinceID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'PostalCode',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'Address',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'AddressType',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'AddressType',
	'AddressTypeID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'AddressType',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'AddressType',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'AddressType',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'ContactID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'NameStyle',
	'bit'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'Title',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'FirstName',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'MiddleName',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'LastName',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'Suffix',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'EmailAddress',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'EmailPromotion',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'Phone',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'PasswordHash',
	'varchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'PasswordSalt',
	'varchar'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'AdditionalContactInfo',
	'xml'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'Contact',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'ContactType',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'ContactType',
	'ContactTypeID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'ContactType',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'ContactType',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'CustomerID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'TerritoryID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'AccountNumber',
	'varchar'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'CustomerType',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'Customer',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	'CustomerID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	'AddressID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	'AddressTypeID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'CustomerAddress',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Product',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ProductID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ProductNumber',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'MakeFlag',
	'bit'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'FinishedGoodsFlag',
	'bit'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Color',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'SafetyStockLevel',
	'smallint'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ReorderPoint',
	'smallint'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'StandardCost',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ListPrice',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Size',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'SizeUnitMeasureCode',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'WeightUnitMeasureCode',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Weight',
	'decimal'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'DaysToManufacture',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ProductLine',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Class',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'Style',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ProductSubcategoryID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ProductModelID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'SellStartDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'SellEndDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'DiscontinuedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'Product',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'SalesOrderID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'SalesOrderDetailID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'CarrierTrackingNumber',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'OrderQty',
	'smallint'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'ProductID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'SpecialOfferID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'UnitPrice',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'UnitPriceDiscount',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderDetail',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'SalesOrderID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'RevisionNumber',
	'tinyint'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'OrderDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'DueDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'ShipDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'Status',
	'tinyint'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'OnlineOrderFlag',
	'bit'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'PurchaseOrderNumber',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'AccountNumber',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'CustomerID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'ContactID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'TerritoryID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'BillToAddressID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'ShipToAddressID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'ShipMethodID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'CreditCardID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'CreditCardApprovalCode',
	'varchar'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'CurrencyRateID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'SubTotal',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'TaxAmt',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'Freight',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'Comment',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'SalesOrderHeader',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'SalesPersonID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'TerritoryID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'SalesQuota',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'Bonus',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'CommissionPct',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'SalesYTD',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'SalesLastYear',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'SalesPerson',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'ShipMethodID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'ShipBase',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'ShipRate',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'ShipMethod',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'SpecialOfferID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'Description',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'DiscountPct',
	'numeric'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'Type',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'Category',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'StartDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'EndDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'MinQty',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'MaxQty',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'SpecialOffer',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'SpecialOfferProduct',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'SpecialOfferProduct',
	'SpecialOfferID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SpecialOfferProduct',
	'ProductID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'SpecialOfferProduct',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'SpecialOfferProduct',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'StateProvinceID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'StateProvinceCode',
	'nchar'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'CountryRegionCode',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'IsOnlyStateProvinceFlag',
	'bit'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'TerritoryID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'StateProvince',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'Store',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'Store',
	'CustomerID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Store',
	'Name',
	'nvarchar'

GO
EXEC ml_add_column
	'demo',
	'Store',
	'SalesPersonID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'Store',
	'Demographics',
	'xml'

GO
EXEC ml_add_column
	'demo',
	'Store',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'Store',
	'ModifiedDate',
	'timestamp'

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	null,
	null

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	'CustomerID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	'ContactID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	'ContactTypeID',
	'integer'

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	'rowguid',
	'uniqueidentifier'

GO
EXEC ml_add_column
	'demo',
	'StoreContact',
	'ModifiedDate',
	'timestamp'

GO

COMMIT
GO
