using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace AdventureWorksDemo_Consolidated
{
    public partial class EditItem : Form
    {
        public int orderid
        {
            private get
            {
                return _orderid;
            }
            set
            {
                _orderid = value;
            }
        }
        public int orderdetailid
        {
            private get
            {
                return _orderdetailid;
            }
            set
            {
                _orderdetailid = value;
            }
        }
        public SqlTransaction transaction
        {
            private get
            {
                return _transaction;
            }
            set
            {
                _transaction = value;
            }
        }
        private int _orderid;
        private int _orderdetailid;
        private SqlTransaction _transaction;
        private int productid;
        private int[] specialofferid;
        private decimal[] discountpct;

        public EditItem()
        {
            InitializeComponent();
            specialofferid = new int[0];
            discountpct = new decimal[0];
        }

        private void EditItem_Load(object sender, EventArgs e)
        {
            SqlCommand cmd;
            SqlDataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT SpecialOfferID, Description, DiscountPct FROM Sales.SpecialOffer";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                discount.Items.Add(reader.GetString(1));
                Array.Resize<int>(ref specialofferid, specialofferid.Length + 1);
                specialofferid[specialofferid.Length - 1] = reader.GetInt32(0);
                Array.Resize<decimal>(ref discountpct, discountpct.Length + 1);
                discountpct[discountpct.Length - 1] = reader.GetDecimal(2);
            }

            cmd.Dispose();
            reader.Close();
            reader.Dispose();

            sqlstmt = "SELECT TOP 1 Sales.SalesOrderDetail.ProductID, ProductNumber, Name, OrderQty, UnitPrice, Description FROM Sales.SalesOrderDetail, Production.Product, Sales.SpecialOffer WHERE Production.Product.ProductID = Sales.SalesOrderDetail.ProductID AND Sales.SpecialOffer.SpecialOfferID = Sales.SalesOrderDetail.SpecialOfferID AND Sales.SalesOrderDetail.SalesOrderID=" + orderid.ToString() + " AND Sales.SalesOrderDetail.SalesOrderDetailID=" + orderdetailid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            if (reader.Read())
            {
                productid = reader.GetInt32(0);
                productnumber.Text = reader.GetString(1);
                productname.Text = reader.GetString(2);
                orderqty.Value = System.Convert.ToDecimal(reader.GetInt16(3));
                unitprice.Value = reader.GetDecimal(4);
                discount.Text = reader.GetString(5);
            }

            cmd.Dispose();
            reader.Close();
            reader.Dispose();
        }

        private void pickproduct_Click(object sender, EventArgs e)
        {
            ViewProducts viewproductsform = new ViewProducts();
            viewproductsform.dialog = true;
            if (viewproductsform.ShowDialog() == DialogResult.Yes)
            {
                SqlCommand cmd;
                SqlDataReader reader;
                string sqlstmt;

                productid = (int)viewproductsform.productlist.SelectedItems[0].Tag;
                sqlstmt = "SELECT TOP 1 ProductNumber, Name FROM Production.Product WHERE Production.Product.ProductID =" + productid.ToString();
                cmd = Program.CreateCommand(sqlstmt);
                reader = cmd.ExecuteReader();
                if (reader.Read())
                {
                    productnumber.Text = reader.GetString(0);
                    productname.Text = reader.GetString(1);
                }
                reader.Close();
                reader.Dispose();
                cmd.Dispose();

                sqlstmt = "SELECT Sales.SpecialOffer.SpecialOfferID, Description, DiscountPct FROM Sales.SpecialOffer, Sales.SpecialOfferProduct WHERE Sales.SpecialOffer.SpecialOfferID = Sales.SpecialOfferProduct.SpecialOfferID AND Sales.SpecialOfferProduct.ProductID=" + productid.ToString();
                cmd = Program.CreateCommand(sqlstmt);
                reader = cmd.ExecuteReader();
                discount.Items.Clear();
                Array.Resize<int>(ref specialofferid, 0);
                Array.Resize<decimal>(ref discountpct, 0);
                while (reader.Read())
                {
                    discount.Items.Add(reader.GetString(1));
                    Array.Resize<int>(ref specialofferid, specialofferid.Length + 1);
                    specialofferid[specialofferid.Length - 1] = reader.GetInt32(0);
                    Array.Resize<decimal>(ref discountpct, discountpct.Length + 1);
                    discountpct[discountpct.Length - 1] = reader.GetDecimal(2);
                }
                reader.Close();
                reader.Dispose();
                cmd.Dispose();

                discount.SelectedIndex = 0;
            }
        }

        private void ok_Click(object sender, EventArgs e)
        {
            SqlCommand cmd;
            string sqlstmt;

            sqlstmt = "UPDATE Sales.SalesOrderDetail ";
            sqlstmt += "SET ";
            sqlstmt += "OrderQty=" + orderqty.Value.ToString() + ", ";
            sqlstmt += "ProductID=" + productid.ToString() + ", ";
            sqlstmt += "SpecialOfferID=" + specialofferid[discount.SelectedIndex].ToString() + ", ";
            sqlstmt += "UnitPrice=" + unitprice.Value.ToString() + ", ";
            sqlstmt += "UnitPriceDiscount=" + discountpct[discount.SelectedIndex] + " ";
            sqlstmt += "WHERE SalesOrderID=" + orderid.ToString() + " ";
            sqlstmt += "AND SalesOrderDetailID=" + orderdetailid.ToString();

            cmd = new SqlCommand(sqlstmt, Program.db, transaction);
            cmd.ExecuteNonQuery();
            cmd.Dispose();
        }
    }
}