using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;
using AdventureWorksDemo_Consolidated.Properties;

namespace AdventureWorksDemo_Consolidated
{
    public partial class MainForm : Form
    {
        private ViewProducts viewproductsform;
        private ViewCustomers viewcustomersform;
        private ViewOrders viewordersform;
        private ViewSalesPerson viewsalespersonform;

        public MainForm()
        {
            InitializeComponent();
            viewproductsform = new ViewProducts();
            viewcustomersform = new ViewCustomers();
            viewordersform = new ViewOrders();
            viewsalespersonform = new ViewSalesPerson();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            login_Click(sender, e);
        }

        private void enterorder_Click(object sender, EventArgs e)
        {
            AddOrder addorderform = new AddOrder();
            addorderform.ShowDialog();

            if (viewordersform.Visible)
            {
                viewordersform.search_Click(sender, e);
            }
        }

        private void viewproducts_Click(object sender, EventArgs e)
        {
            if (viewproductsform.IsDisposed)
            {
                viewproductsform = new ViewProducts();
            }
            viewproductsform.MdiParent = this;
            viewproductsform.Show();
            viewproductsform.WindowState = FormWindowState.Maximized;
        }

        private void viewcustomers_Click(object sender, EventArgs e)
        {
            if (viewcustomersform.IsDisposed)
            {
                viewcustomersform = new ViewCustomers();
            }
            viewcustomersform.MdiParent = this;
            viewcustomersform.Show();
            viewcustomersform.WindowState = FormWindowState.Maximized;
        }

        private void vieworders_Click(object sender, EventArgs e)
        {
            if (viewordersform.IsDisposed)
            {
                viewordersform = new ViewOrders();
            }
            viewordersform.MdiParent = this;
            viewordersform.isedit = false;
            viewordersform.Text = "View Company Orders";
            viewordersform.Show();
            viewordersform.WindowState = FormWindowState.Maximized;
        }

        private void viewsalesperson_Click(object sender, EventArgs e)
        {
            if (viewsalespersonform.IsDisposed)
            {
                viewsalespersonform = new ViewSalesPerson();
            }
            viewsalespersonform.MdiParent = this;
            viewsalespersonform.Show();
            viewsalespersonform.WindowState = FormWindowState.Maximized;
        }

        private void login_Click(object sender, EventArgs e)
        {
            bool tryagain = false;
            Login loginform = new Login();
            loginform.ShowDialog();
            if (loginform.DialogResult == DialogResult.OK)
            {
                Program.db = new SqlConnection(Program.conn);

                try
                {
                    Program.db.Open();

                    vieworders_Click(sender, e);

                    ordermenu.Enabled = true;
                    viewmenu.Enabled = true;
                    logoff.Enabled = true;
                    login.Enabled = false;
                }
                catch (SqlException exception)
                {
                    statusbar.Items[1].Text = "DATABASE LOGIN FAILED: " + exception.Message;
                    if (MessageBox.Show("DATABASE LOGIN FAILED: " + exception.Message, "Login Error", MessageBoxButtons.RetryCancel, MessageBoxIcon.Error) == DialogResult.Retry)
                    {
                        tryagain = true;
                    }

                    ordermenu.Enabled = false;
                    viewmenu.Enabled = false;
                    logoff.Enabled = false;
                    login.Enabled = true;
                }
            }

            if (tryagain)
            {
                login_Click(sender, e);
            }
        }

        private void logoff_Click(object sender, EventArgs e)
        {
            Program.db.Close();
            Program.db.Dispose();
            foreach (Form child in this.MdiChildren)
            {
                child.Close();
            }
            ordermenu.Enabled = false;
            viewmenu.Enabled = false;
            logoff.Enabled = false;
            login.Enabled = true;
        }

        private void startmlserver_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process mlsrv10 = new System.Diagnostics.Process();
            mlsrv10.StartInfo.FileName = "mlsrv10";
            mlsrv10.StartInfo.Arguments = "-c \"DSN=AdventureWorks Demo\" -q -zs \"AdventureWorks Demo\" -x tcpip(port=2439)";
            mlsrv10.Start();

            stopmlserver.Enabled = true;
            startmlserver.Enabled = false;
        }

        private void stopmlserver_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process mlstop = new System.Diagnostics.Process();
            mlstop.StartInfo.FileName = "mlstop";
            mlstop.StartInfo.Arguments = "\"AdventureWorks Demo\"";
            mlstop.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            mlstop.Start();

            startmlserver.Enabled = true;
            stopmlserver.Enabled = false;
        }

        private void exit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void configuration_Click(object sender, EventArgs e)
        {
            Configuration configform = new Configuration();
            configform.ShowDialog();
        }
    }
}