using System;
using System.Collections.Generic;
using System.Windows.Forms;

using AdventureWorksDemo_Consolidated.Properties;
using System.Runtime.InteropServices;
using System.Data.SqlClient;

namespace AdventureWorksDemo_Consolidated
{
    static class Program
    {
        [DllImport("ODBCCP32.dll")]
        private static extern bool SQLConfigDataSource(IntPtr Parent, int Request, string Driver, string Attributes);
        private enum ODBCRequest{ ODBC_ADD_DSN = 1, ODBC_CONFIG_DSN = 2, ODBC_REMOVE_DSN = 3, ODBC_ADD_SYS_DSN = 4, ODBC_CONFIG_SYS_DSN = 5, ODBC_REMOVE_SYS_DSN = 6 };

        public static string conn
        {
            get
            {
                return "Server=" + Settings.Default.Server + ";Database=" + Settings.Default.Database + ";Integrated Security=SSPI";
            }
        }

        public static SqlConnection db
        {
            get
            {
                return _db;
            }
            set
            {
                _db = value;
            }
        }
        public static SqlTransaction transaction
        {
            private get
            {
                return _transaction;
            }
            set
            {
                _transaction = value;
            }
        }
        private static SqlConnection _db;
        private static SqlTransaction _transaction;
        public static SqlCommand CreateCommand(string sqlstmt)
        {
            if (transaction == null)
            {
                return new SqlCommand(sqlstmt, db);
            }
            else
            {
                return new SqlCommand(sqlstmt, db, transaction);
            }
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            SQLConfigDataSource((IntPtr)0, (int)ODBCRequest.ODBC_ADD_DSN, "SQL Native Client", "DSN=" + Settings.Default.DSN + "\0SERVER=" + Settings.Default.Server + "\0DATABASE=" + Settings.Default.Database + "\0TRUSTED_CONNECTION=YES");

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());

            if (db != null)
            {
                db.Close();
                db.Dispose();
            }

            System.Diagnostics.Process mlstop = new System.Diagnostics.Process();
            mlstop.StartInfo.FileName = "mlstop";
            mlstop.StartInfo.Arguments = "\"AdventureWorks Demo\"";
            mlstop.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            mlstop.Start();
        }
    }
}