using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace AdventureWorksDemo_Consolidated
{
    public partial class ViewCustomers : Form
    {
        public bool dialog
        {
            get
            {
                return _dialog;
            }
            set
            {
                _dialog = value;
            }
        }
        private bool _dialog;
        private SqlDataReader backgroundreader;
        private System.Threading.EventWaitHandle signal;
        private int customercount;

        public ViewCustomers()
        {
            InitializeComponent();
            signal = new System.Threading.EventWaitHandle(false, System.Threading.EventResetMode.AutoReset);
            customercount = 0;
            dialog = false;
        }

        private void ViewCustomers_Shown(object sender, EventArgs e)
        {
            search_Click(sender, e);
        }

        private void ViewCustomers_Deactivate(object sender, EventArgs e)
        {
            backgroundprocessor.CancelAsync();
        }
        
        private void search_accountnumber_TextChanged(object sender, EventArgs e)
        {
            backgroundprocessor.CancelAsync();
        }

        private void search_customername_TextChanged(object sender, EventArgs e)
        {
            backgroundprocessor.CancelAsync();
        }

        private void customertype_CheckedChanged(object sender, EventArgs e)
        {
            backgroundprocessor.CancelAsync();
        }

        private void customerlist_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (dialog)
            {
                Font font = new Font(stop.Font, FontStyle.Bold);
                stop.Text = "Select";
                stop.Font = font;
                stop.Enabled = true;
                stop.DialogResult = DialogResult.Yes;
            }
        }

        private void search_Click(object sender, EventArgs e)
        {
            string sqlstmt;

            sqlstmt = "SELECT TOP 50 AccountNumber, Name, Sales.Customer.CustomerID FROM Sales.Customer, Sales.Store WHERE Sales.Store.CustomerID = Sales.Customer.CustomerID";
            if (search_customername.Text.Length > 0)
            {
                sqlstmt += " AND Sales.Store.Name LIKE '%" + search_customername.Text + "%'";
            }
            if (search_accountnumber.Text.Length > 0)
            {
                sqlstmt += " AND Sales.Customer.AccountNumber LIKE '%" + search_accountnumber.Text + "%'";
            }

            search.Enabled = false;
            stop.Enabled = true;
            customercount = 0;
            customerlist.Items.Clear();
            customerlist.Enabled = false;
            customerlist.Visible = false;

            if (!dialog)
            {
                (MdiParent as MainForm).statusbarlabel.Text = "Searching for customers...";
                (MdiParent as MainForm).statusbarprogress.Value = (MdiParent as MainForm).statusbarprogress.Maximum;
            }

            backgroundprocessor.RunWorkerAsync(sqlstmt);

            if (dialog)
            {
                Font font = new Font(stop.Font, FontStyle.Regular);
                stop.Text = "Stop";
                stop.Font = font;
                stop.DialogResult = DialogResult.None;
            }
        }

        private void stop_Click(object sender, EventArgs e)
        {
            backgroundprocessor.CancelAsync();
        }

        private void backgroundprocess(object sender, DoWorkEventArgs e)
        {
            SqlCommand backgroundcmd;
            string sqlstmt = e.Argument as string;
            bool done = false;

            backgroundcmd = Program.CreateCommand(sqlstmt);
            backgroundreader = backgroundcmd.ExecuteReader();
            
            while (!((sender as BackgroundWorker).CancellationPending) && !done)
            {
                if (backgroundreader.Read())
                {
                    (sender as BackgroundWorker).ReportProgress(1);
                    signal.WaitOne(1000,false);
                }
                else
                {
                    done = true;
                }
            }

            backgroundreader.Close();
            backgroundreader.Dispose();
            backgroundcmd.Dispose();
        }

        private void backgroundprogressupdate(object sender, ProgressChangedEventArgs e)
        {
            customerlist.Items.Add(backgroundreader.GetString(0));
            customerlist.Items[customercount].SubItems.Add(backgroundreader.GetString(1));
            customerlist.Items[customercount++].Tag = backgroundreader.GetInt32(2);
            if (!dialog)
            {
                (MdiParent as MainForm).statusbarlabel.Text = "Searching for customers... Found " + customercount.ToString() + " customers.";
            }
            signal.Set();
        }

        private void backgroundcompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            customerlist.Enabled = true;
            customerlist.Visible = true;
            stop.Enabled = false;
            search.Enabled = true;

            if (!dialog)
            {
                (MdiParent as MainForm).statusbarlabel.Text = "Finished. Found " + customercount.ToString() + " customers.";
                (MdiParent as MainForm).statusbarprogress.Value = (MdiParent as MainForm).statusbarprogress.Minimum;
            }
        }
    }
}