using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace AdventureWorksDemo_Consolidated
{
    public partial class ViewMobilize : Form
    {
        public int salespersonid
        {
            private get
            {
                return _salespersonid;
            }
            set
            {
                _salespersonid = value;
            }
        }
        private int _salespersonid;
        private string folder;

        public ViewMobilize()
        {
            InitializeComponent();
        }

        private void ViewMobilize_Load(object sender, EventArgs e)
        {
            SqlCommand cmd;
            SqlDataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT FirstName + ' ' + LastName, LoginID FROM HumanResources.Employee, Person.Contact WHERE Person.Contact.ContactID = HumanResources.Employee.ContactID AND HumanResources.Employee.EmployeeID =" + salespersonid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                name.Text = reader.GetString(0);
                uid.Text = reader.GetString(1).Remove(0, 16);
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void pwd_TextChanged(object sender, EventArgs e)
        {
            if (pwd.Text.Length > 0)
            {
                mobilizebutton.Enabled = true;
            }
            else
            {
                mobilizebutton.Enabled = false;
            }
        }

        private void mobilizebutton_Click(object sender, EventArgs e)
        {
            folder = "Remotes\\" + uid.Text;
            string filename = folder + "\\remote.db";
            string conn = "DBF=" + filename + ";UID=dba;PWD=sql";

            this.UseWaitCursor = true;

            overall.Text = "Creating remote database...";
            component.Text = "Creating folder for remote database...";

            this.Refresh();

            System.Diagnostics.Process cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "cmd";
            cmd.StartInfo.Arguments = "/c mkdir " + folder;
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 4;
            componentprogress.Value = 20;

            component.Text = "Erasing previous remote database for this user...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dberase";
            cmd.StartInfo.Arguments = "-q -y \"" + filename + "\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 8;
            componentprogress.Value = 60;

            component.Text = "Creating new remote database for this user...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbinit";
            cmd.StartInfo.Arguments = "-q \"" + filename + "\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 12;
            componentprogress.Value = 80;

            component.Text = "Copying remote application to user folder...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "cmd";
            cmd.StartInfo.Arguments = "/c copy \"Remote Deployment Files\\*.*\" " + folder + "\\";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 16;
            componentprogress.Value = 100;

            overall.Text = "Deploying basic schema and synchronization models to generic remote database...";
            componentprogress.Value = 0;
            component.Text = "Deploying MobiLink scripts...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"Scripts\\remote.sql\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 35;
            componentprogress.Value = 100;

            overall.Text = "Deploying full schema to generic remote database...";
            componentprogress.Value = 0;
            component.Text = "Deploying custom scripts...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"Scripts\\remote_changes.sql\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 65;
            componentprogress.Value = 100;

            overall.Text = "Customizing generic remote databse...";
            componentprogress.Value = 0;
            component.Text = "Setting global database identification...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"SET OPTION PUBLIC.global_database_id=" + gid.Value.ToString() + ";\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 70;
            componentprogress.Value = 15;

            component.Text = "Setting MobiLink identification...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"SET OPTION PUBLIC.ml_remote_id=" + salespersonid.ToString() + ";\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 75;
            componentprogress.Value = 30;

            component.Text = "Creating synchronization user...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"CREATE SYNCHRONIZATION USER \"" + uid.Text + "\";\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 80;
            componentprogress.Value = 45;

            component.Text = "Creating synchronization subscription...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"CREATE SYNCHRONIZATION SUBSCRIPTION TO \"publication\" FOR \"" + uid.Text + "\" OPTIONS ScriptVersion='demo';\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 85;
            componentprogress.Value = 60;

            component.Text = "Creating database user...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"GRANT CONNECT TO \"" + uid.Text + "\" IDENTIFIED BY '" + pwd.Text + "';\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 90;
            componentprogress.Value = 75;

            component.Text = "Granting user authorities on database...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"GRANT REMOTE DBA TO \"" + uid.Text + "\";\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 96;
            componentprogress.Value = 90;

            component.Text = "Granting user membership to \"SalesPerson\" group...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "dbisql";
            cmd.StartInfo.Arguments = "-q -nogui -c \"" + conn + "\" \"GRANT MEMBERSHIP IN GROUP \"SalesPerson\" TO \"" + uid.Text + "\";\"";
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 99;
            componentprogress.Value = 96;

            component.Text = "Registering User in MobiLink...";

            this.Refresh();

            cmd = new System.Diagnostics.Process();
            cmd.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Hidden;
            cmd.StartInfo.FileName = "mluser";
            cmd.StartInfo.Arguments = "-c \"DSN=" + Properties.Settings.Default.DSN + "\" -u \"" + uid.Text + "\" -p " + pwd.Text;
            cmd.Start();
            cmd.WaitForExit();
            cmd.Dispose();

            overallprogress.Value = 100;
            componentprogress.Value = 100;

            overall.Text = "Finished Creating Remote Successfully!";
            component.Text = "";

            this.UseWaitCursor = false;

            openremote.Enabled = true;
        }

        private void openremote_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process cmd = new System.Diagnostics.Process();
            cmd.StartInfo.FileName = "explorer";
            cmd.StartInfo.Arguments = "\"" + folder + "\"";
            cmd.Start();
        }

        private void close_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}