using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using iAnywhere.Data.SQLAnywhere;

namespace AdventureWorksDemo_Remote
{
    public partial class AddItem : Form
    {
        public int orderid
        {
            private get
            {
                return _orderid;
            }
            set
            {
                _orderid = value;
            }
        }
        public SATransaction transaction
        {
            private get
            {
                return _transaction;
            }
            set
            {
                _transaction = value;
            }
        }
        private int _orderid;
        private SATransaction _transaction;
        private int productid;
        private int[] specialofferid;
        private decimal[] discountpct;

        public AddItem()
        {
            InitializeComponent();
            specialofferid = new int[0];
            discountpct = new decimal[0];
        }

        private void AddItem_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT SpecialOfferID, Description, DiscountPct FROM Sales.SpecialOffer";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                discount.Items.Add(reader.GetString(1));
                Array.Resize<int>(ref specialofferid, specialofferid.Length + 1);
                specialofferid[specialofferid.Length - 1] = reader.GetInt32(0);
                Array.Resize<decimal>(ref discountpct, discountpct.Length + 1);
                discountpct[discountpct.Length - 1] = reader.GetDecimal(2);
            }

            discount.SelectedIndex = 0;

            cmd.Dispose();
            reader.Close();
            reader.Dispose();
        }

        private void pickproduct_Click(object sender, EventArgs e)
        {
            ViewProducts viewproductsform = new ViewProducts();
            viewproductsform.dialog = true;
            if (viewproductsform.ShowDialog() == DialogResult.Yes)
            {
                SACommand cmd;
                SADataReader reader;
                string sqlstmt;

                productid = (int)viewproductsform.productlist.SelectedItems[0].Tag;
                sqlstmt = "SELECT TOP 1 ProductNumber, Name, ListPrice FROM Production.Product WHERE Production.Product.ProductID =" + productid.ToString();
                cmd = Program.CreateCommand(sqlstmt);
                reader = cmd.ExecuteReader();
                if (reader.Read())
                {
                    productnumber.Text = reader.GetString(0);
                    productname.Text = reader.GetString(1);
                    unitprice.Value = reader.GetDecimal(2);
                }

                cmd.Dispose();
                reader.Close();
                reader.Dispose();

                sqlstmt = "SELECT Sales.SpecialOffer.SpecialOfferID, Description, DiscountPct FROM Sales.SpecialOffer, Sales.SpecialOfferProduct WHERE Sales.SpecialOffer.SpecialOfferID = Sales.SpecialOfferProduct.SpecialOfferID AND Sales.SpecialOfferProduct.ProductID=" + productid.ToString();
                cmd = Program.CreateCommand(sqlstmt);
                reader = cmd.ExecuteReader();
                discount.Items.Clear();
                Array.Resize<int>(ref specialofferid, 0);
                Array.Resize<decimal>(ref discountpct, 0);
                while (reader.Read())
                {
                    discount.Items.Add(reader.GetString(1));
                    Array.Resize<int>(ref specialofferid, specialofferid.Length + 1);
                    specialofferid[specialofferid.Length - 1] = reader.GetInt32(0);
                    Array.Resize<decimal>(ref discountpct, discountpct.Length + 1);
                    discountpct[discountpct.Length - 1] = reader.GetDecimal(2);
                }

                discount.SelectedIndex = 0;

                cmd.Dispose();
                reader.Close();
                reader.Dispose();
            }

            ok.Enabled = true;
        }

        private void ok_Click(object sender, EventArgs e)
        {
            SACommand cmd;
            string sqlstmt;

            sqlstmt = "INSERT INTO Sales.SalesOrderDetail (SalesOrderID, OrderQty, ProductID, SpecialOfferID, UnitPrice, UnitPriceDiscount) ";
            sqlstmt += "VALUES (";
            sqlstmt += orderid.ToString() + ", ";
            sqlstmt += orderqty.Value.ToString() + ", ";
            sqlstmt += productid.ToString() + ", ";
            sqlstmt += specialofferid[discount.SelectedIndex].ToString() + ", ";
            sqlstmt += unitprice.Value.ToString() + ", ";
            sqlstmt += discountpct[discount.SelectedIndex] + ")";

            cmd = new SACommand(sqlstmt, Program.db, transaction);
            cmd.ExecuteNonQuery();
            cmd.Dispose();
        }
    }
}