using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using iAnywhere.Data.SQLAnywhere;

namespace AdventureWorksDemo_Remote
{
    public partial class EditContactAddress : Form
    {
        public int orderid
        {
            private get
            {
                return _orderid;
            }
            set
            {
                _orderid = value;
            }
        }
        public SATransaction transaction
        {
            private get
            {
                return _transaction;
            }
            set
            {
                _transaction = value;
            }
        }
        private int _orderid;
        private SATransaction _transaction;
        private int[] contactid;
        private int[] billtoaddressid;
        private int[] shiptoaddressid;
        private int[] shipmethodid;

        public EditContactAddress()
        {
            InitializeComponent();
            contactid = new int[0];
            billtoaddressid = new int[0];
            shiptoaddressid = new int[0];
            shipmethodid = new int[0];
        }

        private void EditContactAddress_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT Sales.StoreContact.ContactID, Person.ContactType.Name FROM Person.ContactType, Sales.StoreContact, Sales.SalesOrderHeader WHERE Person.ContactType.ContactTypeID = Sales.StoreContact.ContactTypeID AND Sales.StoreContact.CustomerID = Sales.SalesOrderHeader.CustomerID AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                Array.Resize<int>(ref contactid, contactid.Length + 1);
                contactid[contactid.Length - 1] = reader.GetInt32(0);
                contact.Items.Add(reader.GetString(1));
            }
            reader.Close();
            reader.Dispose();
            cmd.Dispose();

            sqlstmt = "SELECT Sales.CustomerAddress.AddressID, Name FROM Person.AddressType, Sales.CustomerAddress, Sales.SalesOrderHeader WHERE Person.AddressType.AddressTypeID = Sales.CustomerAddress.AddressTypeID AND Sales.CustomerAddress.CustomerID = Sales.SalesOrderHeader.CustomerID AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                billtoaddress.Items.Add(reader.GetString(1));
                Array.Resize<int>(ref billtoaddressid, billtoaddressid.Length + 1);
                billtoaddressid[billtoaddressid.Length - 1] = reader.GetInt32(0);
                shiptoaddress.Items.Add(reader.GetString(1));
                Array.Resize<int>(ref shiptoaddressid, shiptoaddressid.Length + 1);
                shiptoaddressid[shiptoaddressid.Length - 1] = reader.GetInt32(0);
            }
            reader.Close();
            reader.Dispose();
            cmd.Dispose();

            sqlstmt = "SELECT ShipMethodID, Name FROM Purchasing.ShipMethod";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                shipmethodname.Items.Add(reader.GetString(1));
                Array.Resize<int>(ref shipmethodid, shipmethodid.Length + 1);
                shipmethodid[shipmethodid.Length - 1] = reader.GetInt32(0);
            }
            reader.Close();
            reader.Dispose();
            cmd.Dispose();

            sqlstmt = "SELECT Person.ContactType.Name, BAT.Name, SAT.Name, Purchasing.ShipMethod.Name FROM Sales.SalesOrderHeader, Person.Contact, Person.ContactType, Sales.StoreContact, Person.AddressType AS BAT, Sales.CustomerAddress AS BCA, Person.Address AS BA, Person.StateProvince AS BSP, Person.AddressType AS SAT, Sales.CustomerAddress AS SCA, Person.Address AS SA, Person.StateProvince AS SSP, Purchasing.ShipMethod WHERE Person.ContactType.ContactTypeID = Sales.StoreContact.ContactTypeID AND Sales.StoreContact.CustomerID = Sales.SalesOrderHeader.CustomerID AND Sales.StoreContact.ContactID = Sales.SalesOrderHeader.ContactID AND BAT.AddressTypeID = BCA.AddressTypeID AND BCA.CustomerID = Sales.SalesOrderHeader.CustomerID AND BCA.AddressID = BA.AddressID AND SAT.AddressTypeID = SCA.AddressTypeID AND SCA.CustomerID = Sales.SalesOrderHeader.CustomerID AND SCA.AddressID = SA.AddressID AND Purchasing.ShipMethod.ShipMethodID = Sales.SalesOrderHeader.ShipMethodID AND BSP.StateProvinceID = BA.StateProvinceID AND BA.AddressID = Sales.SalesOrderHeader.BillToAddressID AND SSP.StateProvinceID = SA.StateProvinceID AND SA.AddressID = Sales.SalesOrderHeader.ShipToAddressID AND Person.Contact.ContactID = Sales.SalesOrderHeader.ContactID AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();
            if (reader.Read())
            {
                contact.Text = reader.GetString(0);
                billtoaddress.Text = reader.GetString(1);
                shiptoaddress.Text = reader.GetString(2);
                shipmethodname.Text = reader.GetString(3);
            }
            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void billtoaddress_SelectedIndexChanged(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT BA.AddressLine1, BA.AddressLine2, BA.City, BSP.StateProvinceCode, BSP.CountryRegionCode, BA.PostalCode FROM Sales.SalesOrderHeader, Person.Contact, Person.AddressType AS BAT, Sales.CustomerAddress AS BCA, Person.Address AS BA, Person.StateProvince AS BSP WHERE BSP.StateProvinceID = BA.StateProvinceID AND BA.AddressID = BCA.AddressID AND BCA.CustomerID=Sales.SalesOrderHeader.CustomerID AND BCA.AddressTypeID = BAT.AddressTypeID AND BAT.Name='" + billtoaddress.Text + "' AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                billtoline1.Text = reader.GetString(0);
                if (!reader.IsDBNull(1))
                {
                    billtoline2.Text = reader.GetString(1);
                }
                billtocity.Text = reader.GetString(2);
                billtostateprovincecode.Text = reader.GetString(3);
                billtocountryregioncode.Text = reader.GetString(4);
                billtopostalcode.Text = reader.GetString(5);
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void shiptoaddress_SelectedIndexChanged(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT SA.AddressLine1, SA.AddressLine2, SA.City, SSP.StateProvinceCode, SSP.CountryRegionCode, SA.PostalCode FROM Sales.SalesOrderHeader, Person.Contact, Person.AddressType AS SAT, Sales.CustomerAddress AS SCA, Person.Address AS SA, Person.StateProvince AS SSP WHERE SSP.StateProvinceID = SA.StateProvinceID AND SA.AddressID = SCA.AddressID AND SCA.CustomerID=Sales.SalesOrderHeader.CustomerID AND SCA.AddressTypeID = SAT.AddressTypeID AND SAT.Name='" + shiptoaddress.Text + "' AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                shiptoline1.Text = reader.GetString(0);
                if (!reader.IsDBNull(1))
                {
                    shiptoline2.Text = reader.GetString(1);
                }
                shiptocity.Text = reader.GetString(2);
                shiptostateprovincecode.Text = reader.GetString(3);
                shiptocountryregioncode.Text = reader.GetString(4);
                shiptopostalcode.Text = reader.GetString(5);
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void contact_SelectedIndexChanged(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;
            string name = "";

            sqlstmt = "SELECT Title, FirstName, MiddleName, LastName, Suffix FROM Person.Contact, Person.ContactType, Sales.StoreContact, Sales.SalesOrderHeader WHERE Person.Contact.ContactID = Sales.StoreContact.ContactID AND Sales.StoreContact.ContactTypeID = Person.ContactType.ContactTypeID AND Person.ContactType.Name='" + contact.Text + "' AND Sales.StoreContact.CustomerID = Sales.SalesOrderHeader.CustomerID AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                if (!reader.IsDBNull(0))
                {
                    name = reader.GetString(0) + " ";
                }
                name += reader.GetString(1);
                if (!reader.IsDBNull(2))
                {
                    name += " " + reader.GetString(2);
                }
                name += " " + reader.GetString(3);
                if (!reader.IsDBNull(4))
                {
                    name += " " + reader.GetString(4);
                }
                contactname.Text = name;
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void ok_Click(object sender, EventArgs e)
        {
            apply_Click(null, null);
        }

        private void apply_Click(object sender, EventArgs e)
        {
            SACommand cmd;
            string sqlstmt;

            sqlstmt = "UPDATE Sales.SalesOrderHeader SET ContactID=" + contactid[contact.SelectedIndex].ToString();
            sqlstmt += ", BillToAddressID=" + billtoaddressid[billtoaddress.SelectedIndex];
            sqlstmt += ", ShipToAddressID=" + shiptoaddressid[shiptoaddress.SelectedIndex];
            sqlstmt += ", ShipMethodID=" + shipmethodid[shipmethodname.SelectedIndex];
            sqlstmt += " WHERE SalesOrderID=" + orderid.ToString();

            cmd = new SACommand(sqlstmt, Program.db, transaction);
            cmd.ExecuteNonQuery();
            cmd.Dispose();
        }
    }
}