using System;
using System.Collections.Generic;
using System.Windows.Forms;

using iAnywhere.Data.SQLAnywhere;
using AdventureWorksDemo_Remote.Properties;

namespace AdventureWorksDemo_Remote
{
    static class Program
    {
        public static SAConnection db
        {
            get
            {
                return _db;
            }
            set
            {
                _db = value;
            }
        }
        public static string uid
        {
            get
            {
                return _uid;
            }
            set
            {
                _uid = value;
            }
        }
        public static string pwd
        {
            get
            {
                return _pwd;
            }
            set
            {
                _pwd = value;
            }
        }
        public static SATransaction transaction
        {
            private get
            {
                return _transaction;
            }
            set
            {
                _transaction = value;
            }
        }
        private static string _uid;
        private static string _pwd;
        private static SAConnection _db;
        private static SATransaction _transaction;

        /// <summary>
        /// Handles transaction handling.
        /// If there is a currently open transaction, the code should set the transaction property.
        /// Thus, any subsequent command creations will use the opened transaction.
        /// Similarly, if the transaction is closed, the property should be set back to null.
        /// </summary>
        public static SACommand CreateCommand(string sqlstmt)
        {
            if (_transaction == null)
            {
                return new SACommand(sqlstmt, db);
            }
            else
            {
                return new SACommand(sqlstmt, db, transaction);
            }
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            try
            {
                System.Diagnostics.Process.Start("dbeng10.exe","-ga -qp -qs -qw " + Settings.Default.dbf);
            }
            catch
            {
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());

            /*
             * If the user did not log off, the db object will not be null.
             *  Try to disconnect if necessary.
             */
            if (db != null)
            {
                db.Close();
                db.Dispose();
            }
        }
    }
}