using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using iAnywhere.Data.SQLAnywhere;

namespace AdventureWorksDemo_Remote
{
    public partial class ViewContactAddress : Form
    {
        public int orderid
        {
            private get
            {
                return _orderid;
            }
            set
            {
                _orderid = value;
            }
        }
        private int _orderid;

        public ViewContactAddress()
        {
            InitializeComponent();
        }

        private void ViewContactAddress_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT TOP 1 Title, FirstName, MiddleName, LastName, Suffix, Person.ContactType.Name, BAT.Name, BA.AddressLine1, BA.AddressLine2, BA.City, BSP.StateProvinceCode, BSP.CountryRegionCode, BA.PostalCode, SAT.Name, SA.AddressLine1, SA.AddressLine2, SA.City, SSP.StateProvinceCode, SSP.CountryRegionCode, SA.PostalCode, Purchasing.ShipMethod.Name FROM Sales.SalesOrderHeader, Person.Contact, Person.ContactType, Sales.StoreContact, Person.Address AS BA, Person.AddressType AS BAT, Sales.CustomerAddress AS BCA, Person.StateProvince AS BSP, Person.Address AS SA, Person.AddressType AS SAT, Sales.CustomerAddress AS SCA, Person.StateProvince AS SSP, Purchasing.ShipMethod WHERE Person.ContactType.ContactTypeID = Sales.StoreContact.ContactTypeID AND Sales.StoreContact.CustomerID = Sales.SalesOrderHeader.CustomerID AND Sales.Storecontact.ContactID = Sales.SalesOrderHeader.ContactID AND Purchasing.ShipMethod.ShipMethodID = Sales.SalesOrderHeader.ShipMethodID AND BSP.StateProvinceID = BA.StateProvinceID AND BA.AddressID = Sales.SalesOrderHeader.BillToAddressID AND SSP.StateProvinceID = SA.StateProvinceID AND SA.AddressID = Sales.SalesOrderHeader.ShipToAddressID AND BAT.AddressTypeID = BCA.AddressTypeID AND BCA.AddressID = Sales.SalesOrderHeader.BillToAddressID AND BCA.CustomerID = Sales.SalesOrderHeader.CustomerID AND SAT.AddressTypeID = SCA.AddressTypeID AND SCA.AddressID = Sales.SalesOrderHeader.ShipToAddressID AND SCA.CustomerID = Sales.SalesOrderHeader.CustomerID AND Person.Contact.ContactID = Sales.SalesOrderHeader.ContactID AND Sales.SalesOrderHeader.SalesOrderID=" + orderid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                if (!reader.IsDBNull(0))
                {
                    contactname.Text = reader.GetString(0) + " ";
                }
                contactname.Text += reader.GetString(1);
                if (!reader.IsDBNull(2))
                {
                    contactname.Text += " " + reader.GetString(2);
                }
                contactname.Text += " " + reader.GetString(3);
                if (!reader.IsDBNull(4))
                {
                    contactname.Text += " " + reader.GetString(4);
                }
                contacttype.Text = "(" + reader.GetString(5) + ")";
                billtoaddress.Text = reader.GetString(6);
                billtoline1.Text = reader.GetString(7);
                if (!reader.IsDBNull(8))
                {
                    billtoline2.Text = reader.GetString(8);
                }
                billtocity.Text = reader.GetString(9);
                billtostateprovincecode.Text = reader.GetString(10);
                billtocountryregioncode.Text = reader.GetString(11);
                billtopostalcode.Text = reader.GetString(12);
                shiptoaddress.Text = reader.GetString(13);
                shiptoline1.Text = reader.GetString(14);
                if (!reader.IsDBNull(15))
                {
                    shiptoline2.Text = reader.GetString(15);
                }
                shiptocity.Text = reader.GetString(16);
                shiptostateprovincecode.Text = reader.GetString(17);
                shiptocountryregioncode.Text = reader.GetString(18);
                shiptopostalcode.Text = reader.GetString(19);
                shipmethodname.Text = reader.GetString(20);
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }
    }
}