using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using iAnywhere.Data.SQLAnywhere;

namespace AdventureWorksDemo_Remote
{
    public partial class ViewProductDetails : Form
    {
        public int productid
        {
            private get
            {
                return _productid;
            }
            set
            {
                _productid = value;
            }
        }
        private int _productid;

        public ViewProductDetails()
        {
            InitializeComponent();
        }

        private void ViewProductDetails_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT TOP 1 ProductNumber, Name, FinishedGoodsFlag, MakeFlag, DaysToManufacture, Color, Size, SizeUnitMeasureCode, Weight, WeightUnitMeasureCode, Class, Style, ProductLine, StandardCost, ListPrice, SafetyStockLevel, ReorderPoint, SellStartDate, SellEndDate, DiscontinuedDate, ModifiedDate FROM Production.Product WHERE ProductID=" + productid.ToString();
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                productnumber.Text = reader.GetString(0);
                productname.Text = reader.GetString(1);
                finishedgoodsflag.Checked = reader.GetBoolean(2);
                makeflag.Checked = reader.GetBoolean(3);
                daystomanufacture.Text = reader.GetInt32(4).ToString();
                if (!reader.IsDBNull(5))
                {
                    color.Text = reader.GetString(5);
                }
                if (!reader.IsDBNull(6))
                {
                    size.Text = reader.GetString(6);
                    if (!reader.IsDBNull(7))
                    {
                        size.Text += " " + reader.GetString(7);
                    }
                }
                if (!reader.IsDBNull(8))
                {
                    weight.Text = reader.GetDecimal(8).ToString();
                    if (!reader.IsDBNull(9))
                    {
                        weight.Text += " " + reader.GetString(9);
                    }
                }
                if (!reader.IsDBNull(10))
                {
                    classname.Text = reader.GetString(10);
                }
                if (!reader.IsDBNull(11))
                {
                    style.Text = reader.GetString(11);
                }
                if (!reader.IsDBNull(12))
                {
                    productline.Text = reader.GetString(12);
                }
                standardcost.Text = reader.GetDecimal(13).ToString("$###,##0.00");
                listprice.Text = reader.GetDecimal(14).ToString("$###,##0.00");
                safetystocklevel.Text = reader.GetInt16(15).ToString();
                reorderpoint.Text = reader.GetInt16(16).ToString();
                sellstartdate.Text = reader.GetDateTime(17).ToString("ddd, MMM dd, yyyy");
                if (!reader.IsDBNull(18))
                {
                    sellenddate.Text = reader.GetDateTime(18).ToString("ddd, MMM dd, yyyy");
                }
                if (!reader.IsDBNull(19))
                {
                    discontinueddate.Text = reader.GetDateTime(19).ToString("ddd, MMM dd, yyyy");
                }
                modifieddate.Text = reader.GetDateTime(20).ToString();
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void ok_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}